Index: general.ent
===================================================================
--- general.ent	(revision 39193525eed732ce22276a28b9d3067a9df162fc)
+++ general.ent	(revision 4467c5bf0555e75fd428e1f8c4427262fd5db3b5)
@@ -378,5 +378,5 @@
 <!-- Chapter 34 -->    
 <!ENTITY koffice-version              "1.3.5">  
-<!ENTITY openoffice-version           "1.1.3"> 
+<!ENTITY openoffice-version           "1.1.4"> 
 
 <!-- Chapter 35 -->        
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 39193525eed732ce22276a28b9d3067a9df162fc)
+++ introduction/welcome/changelog.xml	(revision 4467c5bf0555e75fd428e1f8c4427262fd5db3b5)
@@ -22,4 +22,7 @@
 
 <itemizedlist>
+
+<listitem><para>December 26th, 2004 [dj]: Updated to OpenOffice 
+1.1.4.</para></listitem>
 
 <listitem><para>December 26th, 2004 [randy]: Added dependencies to 
Index: xsoft/suites/openoffice.xml
===================================================================
--- xsoft/suites/openoffice.xml	(revision 39193525eed732ce22276a28b9d3067a9df162fc)
+++ xsoft/suites/openoffice.xml	(revision 4467c5bf0555e75fd428e1f8c4427262fd5db3b5)
@@ -6,8 +6,8 @@
 
   <!ENTITY openoffice-download-http "http://download.openoffice.org/&openoffice-version;/source.html">
-  <!ENTITY openoffice-download-ftp "ftp://ftp.ussg.iu.edu/pub/openoffice/stable/&openoffice-version;/OOo_&openoffice-version;-1_source.tar.gz">
-  <!ENTITY openoffice-size          "205 MB">
-  <!ENTITY openoffice-buildsize     "5.8 GB">
-  <!ENTITY openoffice-time          "81 SBU">
+  <!ENTITY openoffice-download-ftp "ftp://ftp.ussg.iu.edu/pub/openoffice/stable/&openoffice-version;/OOo_&openoffice-version;_source.tar.gz">
+  <!ENTITY openoffice-size          "214 MB">
+  <!ENTITY openoffice-buildsize     "3.1 GB">
+  <!ENTITY openoffice-time          "75 SBU">
 ]>
 
@@ -26,6 +26,6 @@
 <title>Introduction to <application>OpenOffice</application></title>
 
-<para>The <application>OpenOffice</application> is an office suite, the 
-Open Source sibling of <application>StarOffice</application>.</para>
+<para><application>OpenOffice</application> is an office suite, the 
+open source sibling of <application>StarOffice</application>.</para>
 
 <sect3><title>Package information</title>
@@ -47,29 +47,32 @@
 <itemizedlist spacing='compact'>
 
+<listitem><para>Required patch for gcc-&gcc3-version;: <ulink
+url="&patch-root;/openoffice-&openoffice-version;-gcc33-1.patch"/></para>
+</listitem>
+
+<listitem><para>Required patch for use with NPTL: <ulink
+url="&patch-root;/openoffice-&openoffice-version;-nptl-1.patch"/></para>
+</listitem>
+
+<listitem><para>Required patch if compiling with 
+<acronym>J2SDK</acronym>-&j2sdk-src-version;: <ulink
+url="&patch-root;/openoffice-&openoffice-version;-jdk_&j2sdk-src-version;_fix-1.patch"/></para>
+</listitem>
+
 <listitem><para>Required patch (Executable <command>test</command> is in
 <filename class="directory">/bin</filename>,
 not in <filename class="directory">/usr/bin</filename>): <ulink
-url="&patch-root;/openoffice-&openoffice-version;-test_bin_loc-1.patch"/></para></listitem>
-
-<listitem><para>Required patch to use system freetype: <ulink
+url="&patch-root;/openoffice-&openoffice-version;-test_bin_loc-1.patch"/></para>
+</listitem>
+
+<listitem><para>Optional patch if you wish to use the system freetype:
+<ulink
 url="&patch-root;/openoffice-&openoffice-version;-freetype-1.patch"/></para>
 </listitem>
 
-<listitem><para>Required patch if 
-Linux-<acronym>PAM</acronym>-&Linux_PAM-version; is not installed: <ulink
+<listitem><para>Optional patch if
+Linux-<acronym>PAM</acronym>-&Linux_PAM-version; is not installed:
+<ulink
 url="&patch-root;/openoffice-&openoffice-version;-no_pam-1.patch"/></para>
-</listitem>
-
-<listitem><para>Required patch if compiling with 
-<acronym>JDK</acronym>-&j2sdk-src-version;: <ulink
-url="&patch-root;/openoffice-&openoffice-version;-jdk_&j2sdk-src-version;_fix-1.patch"/></para>
-</listitem>
-
-<listitem><para>Required patch for gcc-3.3.3: <ulink 
-url="&patch-root;/openoffice-&openoffice-version;-gcc333-1.patch"/></para>
-</listitem>
-
-<listitem><para>Required patch for use with NPTL: <ulink
-url="&patch-root;/openoffice-&openoffice-version;-nptl-1.patch"/></para>
 </listitem>
 
@@ -90,14 +93,17 @@
 <sect4><title>Required</title>
 <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), 
-<xref linkend="freetype2"/>, 
 <xref linkend="zip"/>, 
 <xref linkend="unzip"/>, 
 <xref linkend="tcsh"/>, 
 <xref linkend="which"/> and 
-<xref linkend="gcc3"/></para>
+<xref linkend="gcc3"/>.</para>
 </sect4>
 
 <sect4><title>Recommended</title>
-<para><xref linkend="j2sdk"/></para>
+<para><xref linkend="j2sdk"/>, 
+<xref linkend="freetype2"/>, 
+<xref linkend="pkgconfig"/>, 
+<xref linkend="startup-notification"/> and 
+<xref linkend="desktop-file-utils"/>.</para>
 </sect4>
 
@@ -105,7 +111,6 @@
 <para><xref linkend="Linux_PAM"/>, 
 <xref linkend="libart_lgpl"/>, 
-<xref linkend="startup-notification"/>, 
 <xref linkend="apache-ant"/> and 
-<xref linkend="curl"/></para>
+<xref linkend="curl"/>.</para>
 </sect4>
 </sect3>
@@ -116,8 +121,16 @@
 <title>Installation of <application>OpenOffice</application></title>
 
-<para>Apply the downloaded patches and, optionally, untar and move the gpc 
-files:</para>
-
-<screen><userinput><command>tar -zxf ../gpc231.tar.Z &amp;&amp;
+<para><application>OpenOffice</application> does not create a directory
+when you extract the <acronym>TAR</acronym> ball.  Create a build directory 
+and extract the source with the following commands:</para>
+
+<screen><userinput><command>mkdir OOo-build &amp;&amp;
+cd OOo-build &amp;&amp;
+tar -zxvf ../OOo_&openoffice-version;_source.tar.gz</command></userinput></screen>
+
+<para>Optionally, untar and move the gpc files, and apply the downloaded
+patches:</para>
+
+<screen><userinput><command>tar -zxvf ../gpc231.tar.Z &amp;&amp;
 mv gpc231/* external/gpc &amp;&amp;
 rmdir gpc231 &amp;&amp;
@@ -129,11 +142,11 @@
 temporary symlink in place to satisfy STLport:</para>
 
-<screen><userinput><command>ln -sf /opt/gcc-3.3.3/include/c++/3.3.3 /usr/g++-v3</command></userinput></screen>
+<screen><userinput><command>ln -sf /opt/gcc-&gcc3-version;/include/c++/&gcc3-version; /usr/g++-v3</command></userinput></screen>
 
 <para>OpenOffice fails to build with gcc-3.4.1.  Set your path to
-include gcc-3.3.3.</para>
+include gcc-&gcc3-version;:</para>
 
 <screen><userinput><command>export PATH_HOLD=$PATH &amp;&amp;
-export PATH=/opt/gcc-3.3.3/bin:$PATH</command></userinput></screen>
+export PATH=/opt/gcc-&gcc3-version;/bin:$PATH</command></userinput></screen>
 
 <para>If you want to optimize the build, edit
@@ -142,5 +155,5 @@
 problems with <parameter>-fomit-frame-pointer</parameter>. The best option is 
 to not use any custom optimizations. The following command removes an incorrect 
-<parameter>-mcpu</parameter> option in the above file.</para>
+<parameter>-mcpu</parameter> option in the above file:</para>
 
 <screen><userinput><command>sed -i "s:\-mcpu=pentiumpro::" \
@@ -151,7 +164,7 @@
 preferences. Supply a comma separated list to the <envar>--with-lang=</envar> 
 switch.  If a particular component is not available in the language of your 
-choice, the default will be English. If you need other languages, be sure to 
-add <parameter>ENUS</parameter> to the list; otherwise the build will 
-fail.</para>
+choice, the default will be US English. If you need other languages, be sure 
+to add <parameter>ENUS</parameter> to the list; otherwise the build will 
+fail:</para>
 
 <screen><userinput><command>cd config_office/ &amp;&amp;
@@ -164,6 +177,7 @@
 <para><application>OpenOffice</application> fails to compile if 
 <command>umask</command> is set to something exotic. The build can also
-fial if the <envar>LANG</envar> or <envar>LC_ALL</envar> evvironment
-variables are set.</para>
+fail if the <envar>LANG</envar> or <envar>LC_ALL</envar> environment
+variables are set.  Use the following commands to change your
+environment accordingly:</para>
 
 <screen><userinput><command>umask 0022 &amp;&amp;
@@ -178,5 +192,5 @@
 <para>If you have downloaded localized help content <filename>tgz</filename> 
 files, you will need to untar them to the appropriate directory as shown 
-below and then recreate the installation set.</para>
+below and then recreate the installation set:</para>
 
 <screen><userinput><command>cd solver/645/unxlngi4.pro/pck &amp;&amp;
@@ -189,8 +203,8 @@
 bash -c "source LinuxIntelEnv.Set.sh ; dmake"</command></userinput></screen>
 
-<para>Install <application>OpenOffice</application> using the following
-commands to install the English language set. To install a localized version,
-replace the 01 with the international telephone country code for your 
-country.</para>
+<para>Install <application>OpenOffice</application> using the following 
+commands to install the US English language set. To install a localized 
+version, replace the 01 with the international telephone country code for 
+your country:</para>
 
 <screen><userinput><command>cd instsetoo/unxlngi4.pro/01/normal &amp;&amp;
@@ -201,4 +215,9 @@
   do ln -sf /opt/openoffice/program/$appl /usr/bin/$appl
   done</command></userinput></screen>
+
+<para>If you have installed <xref linkend="desktop-file-utils"/>, you
+should add <filename>/opt/openoffice/share</filename> to the 
+<envar>XDG_DATA_DIRS</envar> environment variable in the system-wide
+profile.</para>
 
 <para>Finally, return your environment to it's original state:</para>