Index: general/sysutils/dbus.xml
===================================================================
--- general/sysutils/dbus.xml	(revision d4bae4c9d059d66ce487a03d17d767dfb1f30bad)
+++ general/sysutils/dbus.xml	(revision 4532b2faf543757f0b637de7458c87761b3c8c86)
@@ -133,10 +133,10 @@
             --sysconfdir=/etc              \
             --localstatedir=/var           \
+            --disable-doxygen-docs         \
+            --disable-static               \
+            --disable-systemd              \
+            --without-systemdsystemunitdir \
             --with-console-auth-dir=/run/console/ \
-            --without-systemdsystemunitdir \
-            --disable-doxygen-docs         \
-            --disable-systemd              \
-            --disable-static               \
-            --docdir=/usr/share/doc/dbus-&dbus-version; &amp;&amp;
+            --docdir=/usr/share/doc/dbus-&dbus-version;   &amp;&amp;
 make</userinput></screen>
 
@@ -201,15 +201,4 @@
 
     <para>
-      <parameter>--with-console-auth-dir=/run/console/</parameter>: This
-      parameter specifies location of the
-      <application>ConsoleKit</application> auth dir.
-    </para>
-
-    <para>
-      <parameter>--without-systemdsystemunitdir</parameter>: This switch
-      prevents installation of systemd unit files.
-    </para>
-
-    <para>
       <parameter>--disable-doxygen-docs</parameter>: This switch disables
       development documentation build and install, if you have
@@ -219,4 +208,7 @@
     </para>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
     <para>
       <parameter>--disable-systemd</parameter>: This switch disables systemd
@@ -224,6 +216,14 @@
     </para>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
+    <para>
+      <parameter>--without-systemdsystemunitdir</parameter>: This switch
+      prevents installation of systemd unit files.
+    </para>
+
+    <para>
+      <parameter>--with-console-auth-dir=/run/console/</parameter>: This
+      parameter specifies location of the
+      <application>ConsoleKit</application> auth dir.
+    </para>
 
     <para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d4bae4c9d059d66ce487a03d17d767dfb1f30bad)
+++ introduction/welcome/changelog.xml	(revision 4532b2faf543757f0b637de7458c87761b3c8c86)
@@ -49,4 +49,8 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - Update to midori_0.5.9. Fixes
+          <ulink url="&blfs-ticket-root;5805">#5805</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[igor] - Added mupdf-1.6.  Fixes
           <ulink url="&blfs-ticket-root;5779">#5779</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision d4bae4c9d059d66ce487a03d17d767dfb1f30bad)
+++ packages.ent	(revision 4532b2faf543757f0b637de7458c87761b3c8c86)
@@ -539,5 +539,5 @@
 
 <!-- Chapter 33 -->
-<!ENTITY midori-version               "0.5.8">
+<!ENTITY midori-version               "0.5.9">
 <!ENTITY parole-version               "0.5.4">
 <!ENTITY gtksourceview2-version       "2.10.5">
Index: xfce/apps/midori.xml
===================================================================
--- xfce/apps/midori.xml	(revision d4bae4c9d059d66ce487a03d17d767dfb1f30bad)
+++ xfce/apps/midori.xml	(revision 4532b2faf543757f0b637de7458c87761b3c8c86)
@@ -8,9 +8,8 @@
            "http://www.midori-browser.org/downloads/midori_&midori-version;_all_.tar.bz2">
   <!ENTITY midori-download-ftp  " ">
-  <!ENTITY midori-md5sum        "b89e25e74199d705e74767499a415976">
+  <!ENTITY midori-md5sum        "a0af659e0f1d6edb2c97aefdc8c0f097">
   <!ENTITY midori-size          "1.3 MB">
-  <!ENTITY midori-buildsize     "63 MB (additional 1 MB for the tests)">
-  <!ENTITY midori-time          "0.5 SBU (additional less than 0.1 SBU
-                                 for the tests)">
+  <!ENTITY midori-buildsize     "71 MB (additional 2 MB for the tests)">
+  <!ENTITY midori-time          "0.7 SBU (additional less than 0.1 SBU for the tests)">
 ]>
 
@@ -90,4 +89,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="gcr"/>,
       <xref linkend="gtk-doc"/> and
       <xref linkend="libzeitgeist"/>
@@ -103,13 +103,4 @@
 
     <para>
-      The tarball is not compressed from a directory, thus it is better to
-      create a directory to uncompress it:
-    </para>
-
-<screen><userinput>mkdir -v midori-&midori-version; &amp;&amp;
-tar xf midori_&midori-version;_all_.tar.bz2 -C midori-&midori-version; &amp;&amp;
-cd midori-&midori-version;</userinput></screen>
-
-    <para>
       Install <application>Midori</application> by running the following
       commands:
@@ -118,7 +109,8 @@
 <screen><userinput>mkdir -v build &amp;&amp;
 cd build &amp;&amp;
-cmake -DCMAKE_INSTALL_PREFIX=/usr                        \
+cmake -DCMAKE_INSTALL_PREFIX=/usr \
+      -DCMAKE_BUILD_TYPE=Release  \
+      -DUSE_ZEITGEIST=OFF         \
       -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/midori-&midori-version; \
-      -DUSE_ZEITGEIST=OFF                                \
       ..  &amp;&amp;
 make</userinput></screen>
@@ -126,5 +118,8 @@
     <para>
       To test the results, issue: <command>make check</command> from an X
-      terminal emulator.
+      terminal emulator. Test suite performance is poor: almost 1/3 fails.
+      Another simple test is to run <command>midori/midori</command> from the
+      <filename class="directory">build</filename> directory,
+      before installing.
     </para>
 
@@ -138,4 +133,7 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para><parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch is
+    used to force building with Qt4 even if Qt5 is found.</para>
 
     <para>
@@ -174,10 +172,10 @@
         </seg>
         <seg>
-          libmidori-core.so and several libraries under /usr/lib/midori
+          libmidori-core.so
         </seg>
         <seg>
           /etc/xdg/midori,
           /usr/lib/midori,
-          /usr/share/doc/midori and
+          /usr/share/doc/midori-&midori-version; and
           /usr/share/midori
         </seg>