Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision 1de42bee2770ab4216a54b4bbbcf6f51cb12165a)
+++ gnome/platform/evolution-data-server.xml	(revision 4538f99f68abbb66bfe8cf561bf37a5679e4c970)
@@ -6,11 +6,11 @@
 
   <!ENTITY evolution-data-server-download-http
-           "&gnome-download-http;/evolution-data-server/&gnome-minor-22;/evolution-data-server-&evolution-data-server-version;.tar.xz">
+           "&gnome-download-http;/evolution-data-server/&gnome-minor-24;/evolution-data-server-&evolution-data-server-version;.tar.xz">
   <!ENTITY evolution-data-server-download-ftp
-           "&gnome-download-ftp;/evolution-data-server/&gnome-minor-22;/evolution-data-server-&evolution-data-server-version;.tar.xz">
-  <!ENTITY evolution-data-server-md5sum        "186ab6778fe651a2d07339fe7a0cf154">
-  <!ENTITY evolution-data-server-size          "5.3 MB">
-  <!ENTITY evolution-data-server-buildsize     "229 MB">
-  <!ENTITY evolution-data-server-time          "4.2 SBU">
+           "&gnome-download-ftp;/evolution-data-server/&gnome-minor-24;/evolution-data-server-&evolution-data-server-version;.tar.xz">
+  <!ENTITY evolution-data-server-md5sum        "5e3016f3c65033d66726b97cb3f81f4a">
+  <!ENTITY evolution-data-server-size          "4.1 MB">
+  <!ENTITY evolution-data-server-buildsize     "168 MB">
+  <!ENTITY evolution-data-server-time          "1.2 SBU">
 ]>
 
@@ -126,8 +126,15 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr         \
-            --disable-uoa         \
-            --disable-google-auth \
-            --enable-vala-bindings &amp;&amp;
+<screen><userinput>mkdir build &amp;&amp;
+cd build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr   \
+      -DENABLE_UOA=OFF              \
+      -DENABLE_VALA_BINDINGS=ON     \
+      -DENABLE_INSTALLED_TESTS=ON   \
+      -DENABLE_GOOGLE=ON            \
+      -DENABLE_GOOGLE_AUTH=OFF      \
+      -DENABLE_INTROSPECTION=ON     \
+      .. &amp;&amp;
 make</userinput></screen>
 
@@ -148,5 +155,5 @@
 
     <para>
-      <parameter>--disable-google-auth</parameter>: This switch is used
+      <parameter>-DENABLE_GOOGLE_AUTH=OFF</parameter>: This flag is used
       to disable the Google Authentication functionality within
       <application>Evolution Data Server</application>. Omit if you have
@@ -155,5 +162,5 @@
 
     <para>
-      <parameter>--disable-uoa</parameter>: This switch is used
+      <parameter>-DENABLE_UOA=OFF</parameter>: This flag is used
       to disable <application>Ubuntu Online Accounts</application>
       support in <application>Evolution Data Server</application>.
@@ -162,29 +169,19 @@
 
     <para>
-      <parameter>--enable-vala-bindings</parameter>: This switch
+      <parameter>-DENABLE_VALA_BINDINGS=ON</parameter>: This switch
       enables building the Vala bindings. Remove if you don't
       have <xref linkend="vala"/> installed.
     </para>
 
-    <para>
-      <option>--with-openldap</option>: Use this switch to enable
-      <application>OpenLDAP</application> support in
-      <application>Evolution Data Server</application>.
-    </para>
-
-    <para>
-      <option>--with-krb5=/usr</option>: Use this switch to
-      enable <application>Kerberos 5</application> support in
-      <application>Evolution Data Server</application>.
-    </para>
-
+<!-- I need a CMake version of this. I'll come up with it at a later time/date.
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/gtk-doc-rebuild.xml"/>
+-->
 
     <note>
       <para>
         To enable many of the optional dependencies, review the information
-        from <command>./configure --help</command> for the necessary parameters
-        you must pass to the <command>configure</command> script.
+        from <command>cmake -L CMakeLists.txt</command> for the necessary
+        parameters you must pass to the <command>cmake</command> command.
       </para>
     </note>
@@ -207,11 +204,11 @@
           libcamel-1.2.so, libebackend-1.2.so, libebook-1.2.so, 
           libebook-contacts-1.2.so, libecal-1.2.so, libedata-book-1.2.so, 
-          libedata-cal-1.2.so, libedataserver-1.2.so and 
-          libedataserverui-1.2.so
+          libedata-cal-1.2.so, libedataserver-1.2.so, 
+          libedataserverui-1.2.so, and libetestserverutils.so
         </seg>
         <seg>
           /usr/include/evolution-data-server,
           /usr/lib{,exec}/evolution-data-server,
-          /usr/share/evolution-data-server,
+          /usr/share/{,installed-tests/}evolution-data-server,
           /usr/share/gtk-doc/html/{camel,libebackend,libebook},
           /usr/share/gtk-doc/html/{libecal,libedata-book,libedata-cal},
Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision 1de42bee2770ab4216a54b4bbbcf6f51cb12165a)
+++ gnome/platform/folks.xml	(revision 4538f99f68abbb66bfe8cf561bf37a5679e4c970)
@@ -86,5 +86,6 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="python3"/> and
+      <xref linkend="bluez"/>,
+      <xref linkend="python3"/>, and
       <xref linkend="vala"/>
     </para>
@@ -94,5 +95,5 @@
       <ulink url="&gnome-download-http;/tracker/">Tracker</ulink>,
       <ulink url="&gnome-download-http;/libsocialweb/">libsocialweb</ulink>, and
-      <ulink url="http://zeitgeist-project.com/">Zeitgeist</ulink>
+      <ulink url="https://packages.debian.org/jessie/zeitgeist">Zeitgeist</ulink>
     </para>
 
@@ -212,4 +213,5 @@
       </varlistentry>
 
+<!--
       <varlistentry id="libfolks-libsocialweb">
         <term><filename class="libraryfile">libfolks-libsocialweb.so</filename></term>
@@ -223,4 +225,5 @@
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry id="libfolks">
Index: gnome/platform/libchamplain.xml
===================================================================
--- gnome/platform/libchamplain.xml	(revision 1de42bee2770ab4216a54b4bbbcf6f51cb12165a)
+++ gnome/platform/libchamplain.xml	(revision 4538f99f68abbb66bfe8cf561bf37a5679e4c970)
@@ -9,5 +9,5 @@
   <!ENTITY libchamplain-download-ftp
            "&gnome-download-ftp;/libchamplain/0.12/libchamplain-&libchamplain-version;.tar.xz">
-  <!ENTITY libchamplain-md5sum        "2e11f39003e74dd0d87b56477f7ee5aa">
+  <!ENTITY libchamplain-md5sum        "0dea22ea7f50e4ab6133e73730e8f18e">
   <!ENTITY libchamplain-size          "604 KB">
   <!ENTITY libchamplain-buildsize     "18 MB">
Index: gnome/platform/libgdata.xml
===================================================================
--- gnome/platform/libgdata.xml	(revision 1de42bee2770ab4216a54b4bbbcf6f51cb12165a)
+++ gnome/platform/libgdata.xml	(revision 4538f99f68abbb66bfe8cf561bf37a5679e4c970)
@@ -7,8 +7,8 @@
   <!ENTITY libgdata-download-http "&gnome-download-http;/libgdata/0.17/libgdata-&libgdata-version;.tar.xz">
   <!ENTITY libgdata-download-ftp  "&gnome-download-ftp;/libgdata/0.17/libgdata-&libgdata-version;.tar.xz">
-  <!ENTITY libgdata-md5sum        "dda713184128444314d17cfe1a73b06d">
+  <!ENTITY libgdata-md5sum        "7a67dde280078bf12de3f98bd21c4931">
   <!ENTITY libgdata-size          "1.4 MB">
   <!ENTITY libgdata-buildsize     "66 MB (with tests)">
-  <!ENTITY libgdata-time          "0.7 SBU (with tests)">
+  <!ENTITY libgdata-time          "0.6 SBU (with tests)">
 ]>
 
Index: gnome/platform/libgee.xml
===================================================================
--- gnome/platform/libgee.xml	(revision 1de42bee2770ab4216a54b4bbbcf6f51cb12165a)
+++ gnome/platform/libgee.xml	(revision 4538f99f68abbb66bfe8cf561bf37a5679e4c970)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY libgee-download-http "&gnome-download-http;/libgee/0.18/libgee-&libgee-version;.tar.xz">
-  <!ENTITY libgee-download-ftp  "&gnome-download-ftp;/libgee/0.18/libgee-&libgee-version;.tar.xz">
-  <!ENTITY libgee-md5sum        "b794ec6e6d1ddd92c14185ca80cbb240">
+  <!ENTITY libgee-download-http "&gnome-download-http;/libgee/0.20/libgee-&libgee-version;.tar.xz">
+  <!ENTITY libgee-download-ftp  "&gnome-download-ftp;/libgee/0.20/libgee-&libgee-version;.tar.xz">
+  <!ENTITY libgee-md5sum        "66a4bfb6d7b03248acb99d140aac127d">
   <!ENTITY libgee-size          "664 KB">
-  <!ENTITY libgee-buildsize     "140 MB (with tests)">
-  <!ENTITY libgee-time          "0.5 SBU (with tests)">
+  <!ENTITY libgee-buildsize     "192 MB (with tests)">
+  <!ENTITY libgee-time          "0.8 SBU (with tests)">
 ]>
 
Index: gnome/platform/libgtop.xml
===================================================================
--- gnome/platform/libgtop.xml	(revision 1de42bee2770ab4216a54b4bbbcf6f51cb12165a)
+++ gnome/platform/libgtop.xml	(revision 4538f99f68abbb66bfe8cf561bf37a5679e4c970)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY libgtop-download-http "&gnome-download-http;/libgtop/2.34/libgtop-&libgtop-version;.tar.xz">
-  <!ENTITY libgtop-download-ftp  "&gnome-download-ftp;/libgtop/2.34/libgtop-&libgtop-version;.tar.xz">
-  <!ENTITY libgtop-md5sum        "8635ded0968cacd93cadd15453812257">
+  <!ENTITY libgtop-download-http "&gnome-download-http;/libgtop/2.36/libgtop-&libgtop-version;.tar.xz">
+  <!ENTITY libgtop-download-ftp  "&gnome-download-ftp;/libgtop/2.36/libgtop-&libgtop-version;.tar.xz">
+  <!ENTITY libgtop-md5sum        "d4591bd3ee9a7312ef2dd38d4b65f5a9">
   <!ENTITY libgtop-size          "712 KB">
   <!ENTITY libgtop-buildsize     "18 MB">
-  <!ENTITY libgtop-time          "less than 0.1 SBU">
+  <!ENTITY libgtop-time          "0.1 SBU">
 ]>
 
Index: gnome/platform/libgweather.xml
===================================================================
--- gnome/platform/libgweather.xml	(revision 1de42bee2770ab4216a54b4bbbcf6f51cb12165a)
+++ gnome/platform/libgweather.xml	(revision 4538f99f68abbb66bfe8cf561bf37a5679e4c970)
@@ -6,8 +6,8 @@
 
   <!ENTITY libgweather-download-http
-           "&gnome-download-http;/libgweather/&gnome-minor-20;/libgweather-&libgweather-version;.tar.xz">
+           "&gnome-download-http;/libgweather/&gnome-minor-24;/libgweather-&libgweather-version;.tar.xz">
   <!ENTITY libgweather-download-ftp
-           "&gnome-download-ftp;/libgweather/&gnome-minor-20;/libgweather-&libgweather-version;.tar.xz">
-  <!ENTITY libgweather-md5sum        "9f0f3d40df1afaf907bbd9834aafbdd5">
+           "&gnome-download-ftp;/libgweather/&gnome-minor-24;/libgweather-&libgweather-version;.tar.xz">
+  <!ENTITY libgweather-md5sum        "9ab2339bbfffdf309d03b8a73ea340f8">
   <!ENTITY libgweather-size          "3.2 MB">
   <!ENTITY libgweather-buildsize     "103 MB">