Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ introduction/welcome/changelog.xml	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -45,4 +45,8 @@
       <para>February 11th, 2018</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to kf5 5.43. Fixes
+          <ulink url="&blfs-ticket-root;10239">#10239</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Archive openssl-1.1.x. Moved to LFS. </para>
Index: kde/extra-cmake-modules.xml
===================================================================
--- kde/extra-cmake-modules.xml	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ kde/extra-cmake-modules.xml	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -7,7 +7,7 @@
    <!ENTITY extra-cmake-modules-download-http "&kf5-download-http;/extra-cmake-modules-&kf5-version;.tar.xz">
    <!ENTITY extra-cmake-modules-download-ftp  " ">
-   <!ENTITY extra-cmake-modules-md5sum        "6ec01cba580d3ef21d84f7255e6a1dac">
+   <!ENTITY extra-cmake-modules-md5sum        "b93c69609dbd2f16f9ee6302020ff5e6">
    <!ENTITY extra-cmake-modules-size          "308 KB">
-   <!ENTITY extra-cmake-modules-buildsize     "4.2 MB">
+   <!ENTITY extra-cmake-modules-buildsize     "4.0 MB">
    <!ENTITY extra-cmake-modules-time          "less than 0.1 SBU">
 ]>
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ kde/kf5/kf5-frameworks.xml	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -179,80 +179,82 @@
 
 <screen><userinput>cat &gt; frameworks-&kf5-version;.md5 &lt;&lt; "EOF"
-<literal>1ebbd6b7636cbc463a3d5413c2e32a73  attica-5.41.0.tar.xz
-#6ec01cba580d3ef21d84f7255e6a1dac  extra-cmake-modules-5.41.0.tar.xz
-eb1a924ff44e4ca3d0c1aebadf98dd2e  kapidox-5.41.0.tar.xz
-4552b6cee31f42f9d6746ebbbe8d65c9  karchive-5.41.0.tar.xz
-b7332e685615a6d730558044faa82c37  kcodecs-5.41.0.tar.xz
-ca16ea0465784e8cae48fcfd383ade22  kconfig-5.41.0.tar.xz
-2de35d8c776f0510ec83e8aa91706613  kcoreaddons-5.41.0.tar.xz
-82b2f634646b701268f2e8ed18a1c393  kdbusaddons-5.41.0.tar.xz
-f3c68c3f4f635cba8bd541365968fa19  kdnssd-5.41.0.tar.xz
-68ff5c6e23100fbcb8e5df810c8446dd  kguiaddons-5.41.0.tar.xz
-d232ea154a69d7bd81ddbb4238dd14b9  ki18n-5.41.0.tar.xz
-4f0b0fbecc626761a4afdef751e3945b  kidletime-5.41.0.tar.xz
-55ea32eabc52b698ed9732daf913481c  kimageformats-5.41.0.tar.xz
-c16c33b4e37dd61a1b6102e4dfa4084c  kitemmodels-5.41.0.tar.xz
-0712c43b59fb63227bbe4649bd3069aa  kitemviews-5.41.0.tar.xz
-cfa7e31be126bab9514367529ee388e8  kplotting-5.41.0.tar.xz
-36a55709d9232754de87fce845af407e  kwidgetsaddons-5.41.0.tar.xz
-c37711fc60fba6f59e3d12202615384b  kwindowsystem-5.41.0.tar.xz
-8fe93eb125b593ca324a7f9c5ffc35f2  networkmanager-qt-5.41.0.tar.xz
-f3903da2459a5f6b2915a9ea20791811  solid-5.41.0.tar.xz
-f39210f1a1d609dc5ab91b81eab7496c  sonnet-5.41.0.tar.xz
-08710d126dd5e9295f6d2082e1c715ba  threadweaver-5.41.0.tar.xz
-4e2206fb13c1f7ecfc6ff8fdba3b6755  kauth-5.41.0.tar.xz
-4dfd9f0b601b3b29fda431e67749d84b  kcompletion-5.41.0.tar.xz
-f31bdd55610016116304a7c2895267cc  kcrash-5.41.0.tar.xz
-b3674a19a7c16bee9f020645e0ddbc55  kdoctools-5.41.0.tar.xz
-5bd431ca01ea01478089b1ae9e96248f  kpty-5.41.0.tar.xz
-870fbc616eeddace047a97cc49709826  kunitconversion-5.41.0.tar.xz
-0a9f9185b73c61ff98d866b347cb84ab  kconfigwidgets-5.41.0.tar.xz
-ac350a079c779228290d8ad6f7d95424  kservice-5.41.0.tar.xz
-4c6269c4428df1e6f590619cb4c4ff79  kglobalaccel-5.41.0.tar.xz
-e5bbc196ebb357071988c1a5bf660de2  kpackage-5.41.0.tar.xz
-1d03482ad18b4fcf5efdc08342dad0fd  kdesu-5.41.0.tar.xz
-ae76e8c76beb51f43bbe2adb71f9ed2e  kemoticons-5.41.0.tar.xz
-11d64047d571925ec70b6b2774e2f7e6  kiconthemes-5.41.0.tar.xz
-a933f40379454c722fcc6748d02b1fa5  kjobwidgets-5.41.0.tar.xz
-ebd60e338a9e7b59a555a5d3cc0d7b5a  knotifications-5.41.0.tar.xz
-b0f13d0727924a002fb3da6ba51b9b5e  ktextwidgets-5.41.0.tar.xz
-280907ea04c30f4d8ccf780e01061537  kxmlgui-5.41.0.tar.xz
-436243672adfe56567c732d97924adba  kbookmarks-5.41.0.tar.xz
-894a257850904ba73491d33f77570dba  kwallet-5.41.0.tar.xz
-4249f48518556c174f9475e3f33ca3e1  kio-5.41.0.tar.xz
-88160137086a2b01d97bcd13d0175cc1  kdeclarative-5.41.0.tar.xz
-8e1f8ac1320b01c9f894eb4ae22452ae  kcmutils-5.41.0.tar.xz
-cbfb3f5b2135551975d9e204a18a1011  kirigami2-5.41.0.tar.xz
-e3ecbab2d0aef7ab54137dd10f260199  knewstuff-5.41.0.tar.xz
-0dd6f089983ecd32155a980dd701d8bd  frameworkintegration-5.41.0.tar.xz
-f1be560698aaa8329f61cc364208becd  kinit-5.41.0.tar.xz
-d3a25384ba8bc72c34adc23431bfb1fc  knotifyconfig-5.41.0.tar.xz
-c799742b700dc63cc29b43b05363caf6  kparts-5.41.0.tar.xz
-94b470c2ab31754cec8b976dbcf914fb  kactivities-5.41.0.tar.xz
-55e4ea83c260ed6133d91baa85e83ee2  kded-5.41.0.tar.xz
-e6ca0e267d398418221b44686eeb8112  kdewebkit-5.41.0.tar.xz
-fc593a8fbb7ad9105d3f5cbab20025f9  syntax-highlighting-5.41.0.tar.xz
-4a56a69a8d4180bed8e0fc62b104ae5b  ktexteditor-5.41.0.tar.xz
-4e68fcc75c98efbb52ad10cc93f94cac  kdesignerplugin-5.41.0.tar.xz
-182714e5cffb3f8d98cd9ec9e5e342a2  kwayland-5.41.0.tar.xz
-a824f972b674747dcf4c37b72ac5aafe  plasma-framework-5.41.0.tar.xz
-d9f1c4a923b48fc6f27317be8d880279  modemmanager-qt-5.41.0.tar.xz
-d2fcacdd586ea9523dfdced3508a9018  kpeople-5.41.0.tar.xz
-fe298ffdfee126f9ba3bcdef1118fcdf  kxmlrpcclient-5.41.0.tar.xz
-c1be30ad443b482cb64be7ec294e643d  bluez-qt-5.41.0.tar.xz
-2a0ca3328b99e0107a4037319747c079  kfilemetadata-5.41.0.tar.xz
-b7636f757203dc0c31bcebb9c43d82f4  baloo-5.41.0.tar.xz
-#4d9130ec475e1a99d44cddc3be5c0965  breeze-icons-5.41.0.tar.xz
-#b55b649450dcffe2b207e203915f8985  oxygen-icons5-5.41.0.tar.xz
-98dfb00d6d376b9adaa45f28444cdc74  kactivities-stats-5.41.0.tar.xz
-3eb823010cc1738302e3f0e89c088f62  krunner-5.41.0.tar.xz
-#c8f1ba624b752249fba8a590b9c67f4a  prison-5.41.0.tar.xz
-ca0658e0f314b957dae151c83f4f24db  qqc2-desktop-style-5.41.0.tar.xz
-50cf974dae417f0ba8785fd64ed186ab  kjs-5.41.0.tar.xz
-d1dad42422f484912a1b32eee1344436  kdelibs4support-5.41.0.tar.xz
-795c5ae86722acf4153ad77f9dcde6f6  khtml-5.41.0.tar.xz
-dcae4f0b65f53a64b4c6296fbe03be97  kjsembed-5.41.0.tar.xz
-6bcc75b0773b2dbcc73a3e9db0e95efc  kmediaplayer-5.41.0.tar.xz
-b58a7bdf8cc70e20293fad45990f8876  kross-5.41.0.tar.xz</literal>
+<literal>bb18451b29c20fc43899003e1b5d88bf  attica-5.43.0.tar.xz
+#b93c69609dbd2f16f9ee6302020ff5e6  extra-cmake-modules-5.43.0.tar.xz
+8f6b6f4c6f11d09692620531baac3cbd  kapidox-5.43.0.tar.xz
+5d28038e34f01ec59968b3a4732128d5  karchive-5.43.0.tar.xz
+b6f2fa4dc1cb75887a401183c6981d26  kcodecs-5.43.0.tar.xz
+12298fe985a25fac4ef2fe23cda6f7d8  kconfig-5.43.0.tar.xz
+8a7082f64f2f5536b92c9b702e0e6f1b  kcoreaddons-5.43.0.tar.xz
+9bd2f0271f0d9cf422ab3add939780f6  kdbusaddons-5.43.0.tar.xz
+b2257e6bf91f3116839e8c363068c044  kdnssd-5.43.0.tar.xz
+29a133ec1b1edf43fdcb64cdc0b3484a  kguiaddons-5.43.0.tar.xz
+5f67b6d48344d347ca187a038ada4c96  ki18n-5.43.0.tar.xz
+6aded894f5a984512e846bf949c6cc56  kidletime-5.43.0.tar.xz
+ea24738d89ad19f34df3cea8aebdbcfb  kimageformats-5.43.0.tar.xz
+4b7ab34387c480efea88daffd6461243  kitemmodels-5.43.0.tar.xz
+0212ea41c19ecaf3d8796186a5d7a3d4  kitemviews-5.43.0.tar.xz
+a78c532acdb8dbfb6fb07e78fd55bfd0  kplotting-5.43.0.tar.xz
+f3d9f489d55e54c5c4047abea6f4477d  kwidgetsaddons-5.43.0.tar.xz
+ca000f985de0be2bb3c602697d1bb923  kwindowsystem-5.43.0.tar.xz
+44a5a63752381bb64876109a421f319a  networkmanager-qt-5.43.0.tar.xz
+272d83ae231c5e1b5bb2851b730d1a3d  solid-5.43.0.tar.xz
+366495c4aab66b740a25363c53fde6c2  sonnet-5.43.0.tar.xz
+d02fe5fac35d600af14e7cdf5aef04dd  threadweaver-5.43.0.tar.xz
+8df3fbc742e0914d4f7d3132a34c4017  kauth-5.43.0.tar.xz
+a03088f8e53b46169f959c7ff9df1bcf  kcompletion-5.43.0.tar.xz
+8985aaa68a6e29561423c09df77a3afc  kcrash-5.43.0.tar.xz
+aec9d49e1bef4aa20151ec06c2fcffe5  kdoctools-5.43.0.tar.xz
+5995656593e5f72b591ceb56f5339d24  kpty-5.43.0.tar.xz
+5146a71a41c76385cf34544c67005d84  kunitconversion-5.43.0.tar.xz
+b3092aca3e241329310ca2c57087a6c6  kconfigwidgets-5.43.0.tar.xz
+6ca34186c9f3ffb3e964740ff6ecac55  kservice-5.43.0.tar.xz
+4e23296878a567417863a3c88ccf051f  kglobalaccel-5.43.0.tar.xz
+b7d41f77d01102fef52fab13c25038cb  kpackage-5.43.0.tar.xz
+9ad92bfb68e7646bc7e4dea2140b348c  kdesu-5.43.0.tar.xz
+1b860bc5eb70c5c2ee292fb0dc79725d  kemoticons-5.43.0.tar.xz
+846d45c77c66faeb09769d79665353d4  kiconthemes-5.43.0.tar.xz
+81d0d0108fbed55099227c616d88aa1b  kjobwidgets-5.43.0.tar.xz
+497d0f2f81be5185e4179922ff53b9b7  knotifications-5.43.0.tar.xz
+a27bdd565993a82476393a7d840bb851  ktextwidgets-5.43.0.tar.xz
+3ea0e4d347105399e7107c2ec644d19d  kxmlgui-5.43.0.tar.xz
+21de30d3ae86397ae92f94c7c160fb1e  kbookmarks-5.43.0.tar.xz
+43173ebb19608ca56e3b1a1c737b3716  kwallet-5.43.0.tar.xz
+b8888829cf7064c756331c2e8347fd09  kio-5.43.0.tar.xz
+235fdc815c6ba94e173cf66a07b1076f  kdeclarative-5.43.0.tar.xz
+7af955e653262eac715df202e8418d90  kcmutils-5.43.0.tar.xz
+cb2fadba7600b65ecb8244959b5ba102  kirigami2-5.43.0.tar.xz
+c47fc6ac7cd13b38cce0ba6675bdb967  knewstuff-5.43.0.tar.xz
+e00d64384ffc2e28acd273b30e135a74  frameworkintegration-5.43.0.tar.xz
+48f5100e0a11f24e9321fd2359408b1e  kinit-5.43.0.tar.xz
+8f69fc2f40676b75d1a6b64e3e0371bd  knotifyconfig-5.43.0.tar.xz
+3dbd8d893655c4d6682a3c2c44a59520  kparts-5.43.0.tar.xz
+a443aaa90ddd41b11e4fa43b35a3f5dd  kactivities-5.43.0.tar.xz
+97cac58acb119a33a8c2a283daa82982  kded-5.43.0.tar.xz
+c30a2a178179b024f5ebc188e9939b80  kdewebkit-5.43.0.tar.xz
+995b7d7e3b5ec614870e6fc60f060a11  syntax-highlighting-5.43.0.tar.xz
+3ea63f69a4ed61c57b0578bc12c25606  ktexteditor-5.43.0.tar.xz
+5dd311e62bbebe45e5f816f8b18461b4  kdesignerplugin-5.43.0.tar.xz
+b03e7c6c53b0919fc09059a1614b2aa2  kwayland-5.43.0.tar.xz
+62454f341fbcadc0c25d1a18ef8e7014  plasma-framework-5.43.0.tar.xz
+dfdfcb07d45d168a19c19cad86ca2cc7  modemmanager-qt-5.43.0.tar.xz
+36b0d67bbe91455b9b4b1cbef0a31c14  kpeople-5.43.0.tar.xz
+1c769bc468e07d91ae21ae7ddff7fd09  kxmlrpcclient-5.43.0.tar.xz
+5fb2427ffd7214859f5e07fc265a7d53  bluez-qt-5.43.0.tar.xz
+d3d04affad8ee9d001911e010e2ca7f2  kfilemetadata-5.43.0.tar.xz
+ef7918c5ff090508ae79908706d1ca58  baloo-5.43.0.tar.xz
+#e717dcb76e5dd8d7b7145d76db4f2b30  breeze-icons-5.43.0.tar.xz
+#61ceb7583096c6ab70690a1e941dac8f  oxygen-icons5-5.43.0.tar.xz
+24de0d2d517279712e41533198d93ec6  kactivities-stats-5.43.0.tar.xz
+d283025c9a8288d2a2fd52d0864323ed  krunner-5.43.0.tar.xz
+#73fe712d4c110cbd2c5117d3b7a8c213  prison-5.43.0.tar.xz
+83b257a99b7f5144495c9ccd881ecd3b  qqc2-desktop-style-5.43.0.tar.xz
+7d81c30b200b0c70af66be9e63a9ad41  kjs-5.43.0.tar.xz
+984f3900ca5fb33c57d5f0021b4e3fb8  kdelibs4support-5.43.0.tar.xz
+9f2dcb4ed09d923c1f2727bb8b8cb5fa  khtml-5.43.0.tar.xz
+8dbb6955e804e71c0ee4ba1311107c5f  kjsembed-5.43.0.tar.xz
+55cc2b85fb8bdfe80b53e85d8d4f4610  kmediaplayer-5.43.0.tar.xz
+94ad9a522521bbbb5a4de0c8a04946aa  kross-5.43.0.tar.xz
+9c5202b7ad2d6093df2b410866933b4c  kholidays-5.43.0.tar.xz
+2d05ea6fe77402fa059ba9e435e1c460  purpose-5.43.0.tar.xz</literal>
 EOF</userinput></screen>
 
Index: lxqt/desktop/lxqt-kguiaddons.xml
===================================================================
--- lxqt/desktop/lxqt-kguiaddons.xml	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ lxqt/desktop/lxqt-kguiaddons.xml	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -7,5 +7,5 @@
   <!ENTITY kguiaddons-download-http "&kf5-download-http;/kguiaddons-&kf5-version;.tar.xz">
   <!ENTITY kguiaddons-download-ftp  " ">
-  <!ENTITY kguiaddons-md5sum        "68ff5c6e23100fbcb8e5df810c8446dd">
+  <!ENTITY kguiaddons-md5sum        "29a133ec1b1edf43fdcb64cdc0b3484a">
   <!ENTITY kguiaddons-size          "40 KB">
   <!ENTITY kguiaddons-buildsize     "2.1 MB">
Index: lxqt/desktop/lxqt-kidletime.xml
===================================================================
--- lxqt/desktop/lxqt-kidletime.xml	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ lxqt/desktop/lxqt-kidletime.xml	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -7,5 +7,5 @@
   <!ENTITY kidletime-download-http "&kf5-download-http;/kidletime-&kf5-version;.tar.xz">
   <!ENTITY kidletime-download-ftp  " ">
-  <!ENTITY kidletime-md5sum        "4f0b0fbecc626761a4afdef751e3945b">
+  <!ENTITY kidletime-md5sum        "6aded894f5a984512e846bf949c6cc56">
   <!ENTITY kidletime-size          "28 KB">
   <!ENTITY kidletime-buildsize     "2.1 MB">
Index: lxqt/desktop/lxqt-kwindowsystem.xml
===================================================================
--- lxqt/desktop/lxqt-kwindowsystem.xml	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ lxqt/desktop/lxqt-kwindowsystem.xml	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -7,5 +7,5 @@
   <!ENTITY kwindowsystem-download-http "&kf5-download-http;/kwindowsystem-&kf5-version;.tar.xz">
   <!ENTITY kwindowsystem-download-ftp  " ">
-  <!ENTITY kwindowsystem-md5sum        "c37711fc60fba6f59e3d12202615384b">
+  <!ENTITY kwindowsystem-md5sum        "ca000f985de0be2bb3c602697d1bb923">
   <!ENTITY kwindowsystem-size          "168 KB">
   <!ENTITY kwindowsystem-buildsize     "11 MB">
Index: lxqt/desktop/lxqt-solid.xml
===================================================================
--- lxqt/desktop/lxqt-solid.xml	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ lxqt/desktop/lxqt-solid.xml	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -7,8 +7,8 @@
   <!ENTITY solid-download-http "&kf5-download-http;/solid-&kf5-version;.tar.xz">
   <!ENTITY solid-download-ftp  " ">
-  <!ENTITY solid-md5sum        "f3903da2459a5f6b2915a9ea20791811">
+  <!ENTITY solid-md5sum        "272d83ae231c5e1b5bb2851b730d1a3d">
   <!ENTITY solid-size          "244 KB">
   <!ENTITY solid-buildsize     "28 MB">
-  <!ENTITY solid-time          "1.8 SBU">
+  <!ENTITY solid-time          "1.7 SBU">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ packages.ent	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -611,7 +611,7 @@
 
 <!-- KF5 and Plasma -->
-<!ENTITY kf5-version           "5.41.0">
-<!ENTITY kf5-short-version     "5.41">
-<!ENTITY kf5-base              "5.41">
+<!ENTITY kf5-version           "5.43.0">
+<!ENTITY kf5-short-version     "5.43">
+<!ENTITY kf5-base              "5.43">
 <!ENTITY kf5-download-http     "http://download.kde.org/stable/frameworks/&kf5-base;">
 
Index: x/icons/breeze-icons.xml
===================================================================
--- x/icons/breeze-icons.xml	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ x/icons/breeze-icons.xml	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -7,7 +7,7 @@
   <!ENTITY breeze-icons-download-http "&kf5-download-http;/breeze-icons-&kf5-version;.tar.xz">
   <!ENTITY breeze-icons-download-ftp  " ">
-  <!ENTITY breeze-icons-md5sum        "4d9130ec475e1a99d44cddc3be5c0965">
-  <!ENTITY breeze-icons-size          "1.4 MB">
-  <!ENTITY breeze-icons-buildsize     "149 MB">
+  <!ENTITY breeze-icons-md5sum        "e717dcb76e5dd8d7b7145d76db4f2b30">
+  <!ENTITY breeze-icons-size          "1.5 MB">
+  <!ENTITY breeze-icons-buildsize     "154 MB">
   <!ENTITY breeze-icons-time          "0.2 SBU">
 ]>
Index: x/icons/oxygen-icons5.xml
===================================================================
--- x/icons/oxygen-icons5.xml	(revision 94b4290307dc5dc77e3e85c1ddc83d9461a28448)
+++ x/icons/oxygen-icons5.xml	(revision 4628cd88ec1d15ac0eb6c68c7bc83f1fc42c7967)
@@ -7,7 +7,7 @@
   <!ENTITY oxygen-icons5-download-http "&kf5-download-http;/oxygen-icons5-&kf5-version;.tar.xz">
   <!ENTITY oxygen-icons5-download-ftp  " ">
-  <!ENTITY oxygen-icons5-md5sum        "b55b649450dcffe2b207e203915f8985">
+  <!ENTITY oxygen-icons5-md5sum        "61ceb7583096c6ab70690a1e941dac8f">
   <!ENTITY oxygen-icons5-size          "224 MB">
-  <!ENTITY oxygen-icons5-buildsize     "442 MB">
+  <!ENTITY oxygen-icons5-buildsize     "443 MB">
   <!ENTITY oxygen-icons5-time          "less than 0.1 SBU">
 ]>