Index: general/genutils/rarian.xml
===================================================================
--- general/genutils/rarian.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/genutils/rarian.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -35,5 +35,5 @@
     ScrollKeeper</application>.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/rep-gtk.xml
===================================================================
--- general/genutils/rep-gtk.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/genutils/rep-gtk.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -38,5 +38,5 @@
     Both can be installed, if needed. </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/librep.xml
===================================================================
--- general/prog/librep.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/prog/librep.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -34,5 +34,5 @@
     interpreter as an extension language.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/at.xml
===================================================================
--- general/sysutils/at.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/at.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -114,5 +114,4 @@
             SENDMAIL=/usr/sbin/sendmail       \
             --with-systemdsystemunitdir=/lib/systemd/system &amp;&amp;
-
 make -j1</userinput></screen>
 
@@ -121,7 +120,6 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make install \
-        docdir=/usr/share/doc/at-&at-version; \
-      atdocdir=/usr/share/doc/at-&at-version; </userinput></screen>
+<screen role="root"><userinput>make install docdir=/usr/share/doc/at-&at-version; \
+             atdocdir=/usr/share/doc/at-&at-version;</userinput></screen>
 
   </sect2>
Index: general/sysutils/autofs.xml
===================================================================
--- general/sysutils/autofs.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/autofs.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/bubblewrap.xml
===================================================================
--- general/sysutils/bubblewrap.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/bubblewrap.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/initdtools.xml
===================================================================
--- general/sysutils/initdtools.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/initdtools.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -32,5 +32,5 @@
     programs to install and remove LSB based bootscripts. </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/logrotate.xml
===================================================================
--- general/sysutils/logrotate.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/logrotate.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/mc.xml
===================================================================
--- general/sysutils/mc.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/mc.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -36,5 +36,5 @@
     full power of the command prompt.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <!--<note><para>The download site uses a self-signed security certificate.
Index: general/sysutils/modemmanager.xml
===================================================================
--- general/sysutils/modemmanager.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/modemmanager.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/raptor.xml
===================================================================
--- general/sysutils/raptor.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/raptor.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/rasqal.xml
===================================================================
--- general/sysutils/rasqal.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/rasqal.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/redland.xml
===================================================================
--- general/sysutils/redland.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/redland.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -33,5 +33,5 @@
     that provide support for the Resource Description Framework (RDF). </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/sysstat.xml
===================================================================
--- general/sysutils/sysstat.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/sysstat.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -36,5 +36,5 @@
     cron to collect and historize performance and activity data.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ general/sysutils/upower.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/ntp.xml
===================================================================
--- networking/netprogs/ntp.xml	(revision f0648f192b628d28a6d88fdc3f36f61eae73a397)
+++ networking/netprogs/ntp.xml	(revision 4647dd79b8bcd9fabb6a9f54f0402e88afc8035a)
@@ -35,5 +35,5 @@
     NTP protocol.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>