Index: general/genlib/icu.xml
===================================================================
--- general/genlib/icu.xml	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
+++ general/genlib/icu.xml	(revision 4676c15df13e387501f50041c39a2ba2488ed40c)
@@ -8,7 +8,7 @@
            "http://github.com/unicode-org/icu/releases/download/release-&icu-major;-&icu-minor;/icu4c-&icu-major;_&icu-minor;-src.tgz">
   <!ENTITY icu-download-ftp  " ">
-  <!ENTITY icu-md5sum        "6a99b541ea01f271257b121a4433c7c0">
+  <!ENTITY icu-md5sum        "c21cbdfe31a1e325afe765a16f907d20">
   <!ENTITY icu-size          "24 MB">
-  <!ENTITY icu-buildsize     "353 MB (add 35 MB for tests)">
+  <!ENTITY icu-buildsize     "312 MB (add 37 MB for tests)">
   <!ENTITY icu-time          "0.7 SBU (Using parallelism=4; add 2.2 SBU for tests)">
 ]>
Index: general/genlib/nodejs.xml
===================================================================
--- general/genlib/nodejs.xml	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
+++ general/genlib/nodejs.xml	(revision 4676c15df13e387501f50041c39a2ba2488ed40c)
@@ -7,7 +7,7 @@
   <!ENTITY nodejs-download-http "https://nodejs.org/dist/v&nodejs-version;/node-v&nodejs-version;.tar.xz">
   <!ENTITY nodejs-download-ftp  " ">
-  <!ENTITY nodejs-md5sum        "c042c9c5789c04fe08fb3d346f977ed2">
+  <!ENTITY nodejs-md5sum        "63fdbe8d8b1b0cb795a49d6fc2ecfb48">
   <!ENTITY nodejs-size          "32 MB">
-  <!ENTITY nodejs-buildsize     "745 MB (add 20 MB for tests)">
+  <!ENTITY nodejs-buildsize     "744 MB (add 20 MB for tests)">
   <!ENTITY nodejs-time          "8.2 SBU (using parallelism=4; add 2.1 SBU for tests)">
   <!-- timing may be shorter on intel -->
Index: general/prog/perl-modules/perl-lwp-protocol-https.xml
===================================================================
--- general/prog/perl-modules/perl-lwp-protocol-https.xml	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
+++ general/prog/perl-modules/perl-lwp-protocol-https.xml	(revision 4676c15df13e387501f50041c39a2ba2488ed40c)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/O/OA/OALDERS/LWP-Protocol-https-&LWP-Protocol-https-version;.tar.gz">
-  <!ENTITY my-md5sum "6d497ec74f3cf88ad41898fcb8b01145">
+  <!ENTITY my-md5sum "cf64e4bc57a9266ac4343cdf0808c5c8">
 
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
+++ introduction/welcome/changelog.xml	(revision 4676c15df13e387501f50041c39a2ba2488ed40c)
@@ -46,4 +46,24 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to icu4c-68_2. Fixes
+          <ulink url="&blfs-ticket-root;14399">#14399</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to sudo-1.9.4p1. Fixes
+          <ulink url="&blfs-ticket-root;14398">#14398</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to LWP-Protocol-https-6.10 (Perl Module). Fixes
+          <ulink url="&blfs-ticket-root;14401">#14401</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to node-14.15.3. Fixes
+          <ulink url="&blfs-ticket-root;14400">#14400</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bind-9.16.9 (including utils). Fixes
+          <ulink url="&blfs-ticket-root;14396">#14396</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Update to mesa-20.3.1. Fixes
           <ulink url="&blfs-ticket-root;14339">#14339</ulink>.</para>
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
+++ networking/netutils/bind-utils.xml	(revision 4676c15df13e387501f50041c39a2ba2488ed40c)
@@ -7,8 +7,8 @@
   <!ENTITY bind-download-http   " ">
   <!ENTITY bind-download-ftp    "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.xz">
-  <!ENTITY bind-md5sum          "5043026e04ebac6b5f40bd911d73c7f9">
+  <!ENTITY bind-md5sum          "32463c0fe91abaf4894eee09a97f1ce6">
   <!ENTITY bind-size            "3.1 MB">
-  <!ENTITY bind-utils-buildsize "148 MB">
-  <!ENTITY bind-utils-time      "0.6 SBU">
+  <!ENTITY bind-utils-buildsize "112 MB">
+  <!ENTITY bind-utils-time      "0.5 SBU">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
+++ packages.ent	(revision 4676c15df13e387501f50041c39a2ba2488ed40c)
@@ -41,5 +41,5 @@
 <!ENTITY ssh-askpass-version          "&openssh-version;">
 <!ENTITY stunnel-version              "5.57">
-<!ENTITY sudo-version                 "1.9.4">
+<!ENTITY sudo-version                 "1.9.4p1">
 <!ENTITY tripwire-version             "2.4.3.7">
 <!ENTITY volume_key-version           "0.3.12">
@@ -111,5 +111,5 @@
 
 <!ENTITY icu-major                    "68">
-<!ENTITY icu-minor                    "1">
+<!ENTITY icu-minor                    "2">
 <!ENTITY icu-patch                    "0">
 <!ENTITY icu-version                  "&icu-major;.&icu-minor;"><!-- .&icu-patch;-->
@@ -179,5 +179,5 @@
 <!ENTITY lzo-version                  "2.10">
 <!ENTITY mtdev-version                "1.1.6">
-<!ENTITY nodejs-version               "14.15.2">
+<!ENTITY nodejs-version               "14.15.3">
 <!ENTITY npth-version                 "1.6">
 <!ENTITY nspr-version                 "4.29">
@@ -418,5 +418,5 @@
 <!ENTITY List-MoreUtils-version       "0.430">
 <!ENTITY Log-Log4perl-version         "1.53">
-<!ENTITY LWP-Protocol-https-version   "6.09">
+<!ENTITY LWP-Protocol-https-version   "6.10">
 <!ENTITY Module-Build-version         "0.4231">
 <!ENTITY Net-DNS-version              "1.29">
@@ -596,5 +596,5 @@
 <!ENTITY avahi-version                "0.8">
 <!ENTITY bind-minor-version           "9.16">
-<!ENTITY bind-version                 "&bind-minor-version;.9">
+<!ENTITY bind-version                 "&bind-minor-version;.10">
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-minor         "1.28">
Index: postlfs/security/sudo.xml
===================================================================
--- postlfs/security/sudo.xml	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
+++ postlfs/security/sudo.xml	(revision 4676c15df13e387501f50041c39a2ba2488ed40c)
@@ -7,5 +7,5 @@
   <!ENTITY sudo-download-http "http://www.sudo.ws/dist/sudo-&sudo-version;.tar.gz">
   <!ENTITY sudo-download-ftp  "ftp://ftp.sudo.ws/pub/sudo/sudo-&sudo-version;.tar.gz">
-  <!ENTITY sudo-md5sum        "b654699baebedd095fa525108ea12cbe">
+  <!ENTITY sudo-md5sum        "f332f458ba1d2aa479588bd6a9f8abdd">
   <!ENTITY sudo-size          "3.8 MB">
   <!ENTITY sudo-buildsize     "41 MB (add 9 MB for tests)">
@@ -73,16 +73,4 @@
       </listitem>
     </itemizedlist>
-
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Required patch to fix issues when not using sendmail:
-          <ulink url="&patch-root;/sudo-&sudo-version;-upstream_fix-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
-
 
     <bridgehead renderas="sect3">Sudo Dependencies</bridgehead>
@@ -98,5 +86,4 @@
       <ulink url="http://www.fwtk.org/">FWTK</ulink>, and
       <ulink url="&sourceforge-dl;/opie/">Opie</ulink>
-<!--  <ulink url="http://www.rsa.com/node.aspx?id=1156">SecurID</ulink>-->
     </para>
 
@@ -109,25 +96,8 @@
     <title>Installation of Sudo</title>
 
-<!-- To my understanding, the Makefile.in does test on readable
-     $(sudoersdir)/sudoers anyhow. This sed seems to be redundant.
-
-    <para>
-      First, fix a problem that prevents installation from completion:
-    </para>
-
-<screen><userinput>sed -e '/^pre-install:/{N;s@;@ -a -r $(sudoersdir)/sudoers;@}' \
-    -i plugins/sudoers/Makefile.in</userinput></screen>
--->
-
-    <para>First, fix a bug identified upstream:</para>
-
-<screen><userinput>patch -Np1 -i ../sudo-&sudo-version;-upstream_fix-1.patch</userinput></screen>
-
     <para>
       Install <application>Sudo</application> by running the following commands:
     </para>
 
-<!-- Developer: apparently it is disabled by default, although in configure it
-is written otherwise           -disable-static           \-->
 <screen><userinput>./configure --prefix=/usr              \
             --libexecdir=/usr/lib      \
@@ -142,6 +112,5 @@
       To test the results, issue: <command>env LC_ALL=C make check 2&gt;&amp;1
       | tee ../make-check.log</command>. Check the results with <command>grep
-      failed ../make-check.log</command>. <!--One test, test3, is known to fail
-      if the tests are run as the root user.-->
+      failed ../make-check.log</command>. 
     </para>
 
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
+++ server/major/bind.xml	(revision 4676c15df13e387501f50041c39a2ba2488ed40c)
@@ -7,8 +7,8 @@
   <!ENTITY bind-download-http " ">
   <!ENTITY bind-download-ftp  "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.xz">
-  <!ENTITY bind-md5sum        "5043026e04ebac6b5f40bd911d73c7f9">
+  <!ENTITY bind-md5sum        "32463c0fe91abaf4894eee09a97f1ce6">
   <!ENTITY bind-size          "3.1 MB">
-  <!ENTITY bind-buildsize     "125 MB (23 MB installed)">
-  <!ENTITY bind-time          "0.9 SBU (with parallelism=4; add 34+ minutes, processor independent, to run the complete test suite)">
+  <!ENTITY bind-buildsize     "124 MB (23 MB installed)">
+  <!ENTITY bind-time          "0.8 SBU (with parallelism=4; add 29+ minutes, somewhat processor independent, to run the complete test suite)">
 ]>
 