Index: pst/sgml/sgml-common.xml
===================================================================
--- pst/sgml/sgml-common.xml	(revision e7323adbb70cb1dd2bce8c6c9dbee11cf2783de2)
+++ pst/sgml/sgml-common.xml	(revision 04677b5d37522a85bcf7e2537c4043fa828a03d6)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
 <!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
    "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
@@ -13,165 +14,195 @@
 
 <sect1 id="sgml-common" xreflabel="SGML Common-&sgml-common-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="sgml-common.html"?>
-<title>SGML Common-&sgml-common-version;</title>
-<indexterm zone="sgml-common">
-<primary sortas="a-SGML-Common">SGML Common</primary></indexterm>
-
-<sect2>
-<title>Introduction to <application><acronym>SGML</acronym> 
-Common</application></title>
-
-<para>The <application><acronym>SGML</acronym> Common</application> package 
-contains <command>install-catalog</command>. This is useful for creating and 
-maintaining centralized <acronym>SGML</acronym> catalogs.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&sgml-common-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&sgml-common-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &sgml-common-md5sum;</para></listitem>
-<listitem><para>Download size: &sgml-common-size;</para></listitem>
-<listitem><para>Estimated disk space required:
-&sgml-common-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&sgml-common-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Required Patch: <ulink 
-url="&patch-root;/sgml-common-&sgml-common-version;-manpage-1.patch"/></para>
-</listitem>
-</itemizedlist>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Installation of <application><acronym>SGML</acronym> 
-Common</application></title>
-
-<para>First apply the patch:</para>
-
-<screen><userinput><command>patch -Np1 -i ../sgml-common-0.6.3-manpage-1.patch</command></userinput></screen>
-
-<para>The autotools files included with
-<application><acronym>SGML</acronym> Common</application> are old. Use
-the following commands to regenerate the files.</para>
-
-<screen><userinput><command>aclocal &amp;&amp;
+  <?dbhtml filename="sgml-common.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>SGML Common-&sgml-common-version;</title>
+
+  <indexterm zone="sgml-common">
+    <primary sortas="a-SGML-Common">SGML Common</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to SGML Common</title>
+
+    <para>The <application>SGML Common</application> package contains
+    <command>install-catalog</command>. This is useful for creating and
+    maintaining centralized SGML catalogs.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&sgml-common-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&sgml-common-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &sgml-common-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &sgml-common-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &sgml-common-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &sgml-common-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Required Patch: <ulink
+        url="&patch-root;/sgml-common-&sgml-common-version;-manpage-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of SGML Common</title>
+
+    <para>First apply the patch:</para>
+
+<screen><userinput>patch -Np1 -i ../sgml-common-0.6.3-manpage-1.patch</userinput></screen>
+
+    <para>The autotools files included with
+    <application>SGML Common</application> are old. Use
+    the following commands to regenerate the files.</para>
+
+<screen><userinput>aclocal &amp;&amp;
 automake -acf &amp;&amp;
-autoconf</command></userinput></screen>
-
-<para>Install <application><acronym>SGML</acronym> Common</application> by 
-running the following commands:</para>
-
-<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
-make</command></userinput></screen>
-
-<para>Now, as the root user:</para>
-
-<screen><userinput role='root'><command>make install &amp;&amp;
+autoconf</userinput></screen>
+
+    <para>Install <application>SGML Common</application> by
+    running the following commands:</para>
+
+<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install &amp;&amp;
 install-catalog --add /etc/sgml/sgml-ent.cat \
     /usr/share/sgml/sgml-iso-entities-8879.1986/catalog &amp;&amp;
 install-catalog --add /etc/sgml/sgml-docbook.cat \
-    /etc/sgml/sgml-ent.cat</command></userinput></screen>
-
-<tip><title>Update hint</title>
-<para>Remove the above catalog items prior to upgrading (as the root user) 
-with:
-
-<screen><userinput role='root'><command>install-catalog --remove /etc/sgml/sgml-ent.cat \
+    /etc/sgml/sgml-ent.cat</userinput></screen>
+
+    <tip>
+      <title>Update Hint</title>
+
+      <para>Remove the above catalog items prior to upgrading (as the root user)
+      with:</para>
+
+<screen role="root"><userinput>install-catalog --remove /etc/sgml/sgml-ent.cat \
     /usr/share/sgml/sgml-iso-entities-8879.1986/catalog &amp;&amp;
 install-catalog --remove /etc/sgml/sgml-docbook.cat \
-    /etc/sgml/sgml-ent.cat</command></userinput></screen></para></tip>
-
-</sect2>
-
-<sect2>
-<title>Configuring <application><acronym>SGML</acronym> 
-Common</application></title>
-
-<sect3 id="sgml-common-config"><title>Config files</title>
-<para><filename>/etc/sgml/sgml.conf</filename></para>
-<indexterm zone="sgml-common sgml-common-config">
-<primary sortas="e-etc-sgml-sgml.conf">/etc/sgml/sgml.conf</primary>
-</indexterm>
-</sect3>
-
-<sect3><title>Configuration Information</title>
-
-<para>No change in this file is necessary.</para>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<segmentedlist>
-<segtitle>Installed Programs</segtitle>
-<segtitle>Installed Libraries</segtitle>
-<segtitle>Installed Files</segtitle>
-<segtitle>Installed Directories</segtitle>
-
-<seglistitem>
-<seg>install-catalog and sgmlwhich</seg>
-<seg>None</seg>
-<seg>SGML and XML DocBook entity files</seg>
-<seg>/etc/sgml, /usr/share/doc/sgml-common-&sgml-common-version; and 
-/usr/share/sgml</seg>
-</seglistitem>
-</segmentedlist>
-
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
-
-<varlistentry id="install-catalog">
-<term><command>install-catalog</command></term>
-<listitem><para>creates a centralized catalog that maintains references to 
-catalogs scattered throughout the 
-<filename class="directory">/usr/share/sgml</filename> directory tree.</para>
-<indexterm zone="sgml-common install-catalog">
-<primary sortas="b-install-catalog">install-catalog</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="sgmlwhich">
-<term><command>sgmlwhich</command></term>
-<listitem><para>will print to standard output the name of the main 
-configuration file.</para>
-<indexterm zone="sgml-common sgmlwhich">
-<primary sortas="b-sgmlwhich">sgmlwhich</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="SGML-entities">
-<term><filename>SGML entities files</filename></term>
-<listitem><para>contain the basic character entities defined with 
-<acronym>SDATA</acronym> entries.</para>
-<indexterm zone="sgml-common SGML-entities">
-<primary sortas="g-sgml-entities-files">SGML entities files</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="XML-entities">
-<term><filename>XML entities files</filename></term>
-<listitem><para> contain the basic character entities defined by a hexadecimal 
-representation of the Unicode character number.</para>
-<indexterm zone="sgml-common XML-entities">
-<primary sortas="g-xml-entities-files">XML entities files</primary>
-</indexterm></listitem>
-</varlistentry>
-</variablelist>
-
-</sect2>
+    /etc/sgml/sgml-ent.cat</userinput></screen>
+
+    </tip>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring SGML Common</title>
+
+    <sect3 id="sgml-common-config">
+      <title>Config Files</title>
+
+      <para><filename>/etc/sgml/sgml.conf</filename></para>
+
+      <indexterm zone="sgml-common sgml-common-config">
+        <primary sortas="e-etc-sgml-sgml.conf">/etc/sgml/sgml.conf</primary>
+      </indexterm>
+
+    </sect3>
+
+    <sect3>
+      <title>Configuration Information</title>
+
+      <para>No change in this file is necessary.</para>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Files</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>install-catalog and sgmlwhich</seg>
+        <seg>None</seg>
+        <seg>SGML and XML DocBook entity files</seg>
+        <seg>/etc/sgml, /usr/share/doc/sgml-common-&sgml-common-version;, and
+        /usr/share/sgml</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="install-catalog">
+        <term><command>install-catalog</command></term>
+        <listitem>
+          <para>creates a centralized catalog that maintains references to
+          catalogs scattered throughout the
+          <filename class="directory">/usr/share/sgml</filename> directory
+          tree.</para>
+          <indexterm zone="sgml-common install-catalog">
+            <primary sortas="b-install-catalog">install-catalog</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="sgmlwhich">
+        <term><command>sgmlwhich</command></term>
+        <listitem>
+          <para>will print to standard output the name of the main
+          configuration file.</para>
+          <indexterm zone="sgml-common sgmlwhich">
+            <primary sortas="b-sgmlwhich">sgmlwhich</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="SGML-entities">
+        <term><filename>SGML entities files</filename></term>
+        <listitem>
+          <para>contain the basic character entities defined with
+          SDATA entries.</para>
+          <indexterm zone="sgml-common SGML-entities">
+            <primary sortas="g-sgml-entities-files">SGML entities files</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="XML-entities">
+        <term><filename>XML entities files</filename></term>
+        <listitem>
+        <para> contain the basic character entities defined by a hexadecimal
+          representation of the Unicode character number.</para>
+          <indexterm zone="sgml-common XML-entities">
+            <primary sortas="g-xml-entities-files">XML entities files</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
 
 </sect1>