Index: stylesheets/blfs-chunked.xsl
===================================================================
--- stylesheets/blfs-chunked.xsl	(revision 8e377985a564684ac6e6869cd9c21804c6b8fe74)
+++ stylesheets/blfs-chunked.xsl	(revision 4685d1c425317749036cb7f7319d2c1b732b6aa6)
@@ -10,57 +10,16 @@
                 version="1.0">
 
-  <xsl:import href="blfs-chunked1.xsl"/>
+    <!-- LFS top-level chunk templates. -->
+  <xsl:import href="lfs-xsl/chunkfast.xsl"/>
 
-    <!-- Handle name and date in info section as a footnote -->
+    <!-- The LFS book type to be processed (lfs, blfs, clfs, or hlfs) -->
+  <xsl:param name="book-type">blfs</xsl:param>
 
-  <xsl:template name="process.footnotes">
-    <xsl:variable name="footnotes" select=".//footnote"/>
-    <xsl:variable name="fcount">
-      <xsl:call-template name="count.footnotes.in.this.chunk">
-        <xsl:with-param name="node" select="."/>
-        <xsl:with-param name="footnotes" select="$footnotes"/>
-      </xsl:call-template>
-    </xsl:variable>
+    <!-- Are sections enumerated? 1 = yes, 0 = no
+           Note: Activating this will increase a lot rendering time. -->
+  <xsl:param name="section.autolabel" select="0"/>
 
-    <!-- Only bother to do this if there's at least one non-table footnote -->
-    <xsl:if test="$fcount &gt; 0">
-      <div class="footnotes">
-        <br/>
-        <hr width="100" align="left"/>
-        <xsl:call-template name="process.footnotes.in.this.chunk">
-          <xsl:with-param name="node" select="."/>
-          <xsl:with-param name="footnotes" select="$footnotes"/>
-        </xsl:call-template>
-      </div>
-    </xsl:if>
-
-    <!-- Add this to the footnotes -->
-    <xsl:apply-templates select='prefaceinfo|chapterinfo|sect1info|./sect1[1]/sect1info' mode='attribution'/>
-  </xsl:template>
-
-  <xsl:template match='prefaceinfo|chapterinfo|sect1info' mode='attribution'>
-    <p class='updated'> Last updated <!-- by
-      <xsl:apply-templates select="othername" mode='attribution'/> -->
-      on
-      <xsl:apply-templates select="date" mode='attribution'/>
-    </p>
-  </xsl:template>
-
-  <xsl:template match='othername' mode='attribution'>
-     <xsl:variable name='author'>
-          <xsl:value-of select='.'/>
-     </xsl:variable>
-     <xsl:variable name='nameonly'>
-          <xsl:value-of select='substring($author,16)'/>
-     </xsl:variable>
-     <xsl:value-of select="substring-before($nameonly,'$')" />
-  </xsl:template>
-
-  <xsl:template match='date' mode='attribution'>
-      <xsl:variable name='date'>
-         <xsl:value-of select='.'/>
-      </xsl:variable>
-      <xsl:value-of select="substring($date,7,26)" />
-  </xsl:template>
+    <!-- Do section labels include the component label? 1 = yes, 0 = no -->
+  <xsl:param name="section.label.includes.component.label" select="0"/>
 
 </xsl:stylesheet>
Index: stylesheets/blfs-nochunks.xsl
===================================================================
--- stylesheets/blfs-nochunks.xsl	(revision 8e377985a564684ac6e6869cd9c21804c6b8fe74)
+++ stylesheets/blfs-nochunks.xsl	(revision 4685d1c425317749036cb7f7319d2c1b732b6aa6)
@@ -10,431 +10,16 @@
                 version="1.0">
 
-    <!-- We use XHTML -->
-  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.69.1/xhtml/docbook.xsl"/>
+    <!-- LFS top-level no-chunk templates. -->
+  <xsl:import href="lfs-xsl/nochunks.xsl"/>
 
-    <!-- Fix encoding issues with default UTF-8 output of the xhtml stylesheet -->
-  <xsl:output method="html" encoding="ISO-8859-1" indent="no" />
+    <!-- The LFS book type to be processed (lfs, blfs, clfs, or hlfs) -->
+  <xsl:param name="book-type">blfs</xsl:param>
 
-   <!-- Including our others customized templates -->
-  <xsl:include href="xhtml/lfs-index.xsl"/>
-  <xsl:include href="xhtml/lfs-mixed.xsl"/>
-  <xsl:include href="xhtml/lfs-sections.xsl"/>
-  <xsl:include href="xhtml/lfs-toc.xsl"/>
-  <xsl:include href="xhtml/lfs-xref.xsl"/>
+    <!-- Are sections enumerated? 1 = yes, 0 = no
+           Note: Activating this will increase a lot rendering time. -->
+  <xsl:param name="section.autolabel" select="0"/>
 
-    <!-- This file contains our localization strings (for internationalization) -->
-  <xsl:param name="local.l10n.xml" select="document('blfs-l10n.xml')"/>
-
-    <!-- Dropping some unwanted style attributes -->
-  <xsl:param name="ulink.target" select="''"></xsl:param>
-  <xsl:param name="css.decoration" select="0"></xsl:param>
-
-    <!-- Don't use graphics in admonitions -->
-  <xsl:param name="admon.graphics" select="0"/>
-
-    <!-- Changing the admonitions output tagging -->
-  <xsl:template name="nongraphical.admonition">
-    <div class="{name(.)}">
-      <div class ="admonhead">
-        <h3 class="admontitle">
-          <xsl:apply-templates select="." mode="object.title.markup"/>
-        </h3>
-      </div>
-      <div class="admonbody">
-        <xsl:apply-templates/>
-      </div>
-    </div>
-  </xsl:template>
-
-    <!-- To drop the remainig dot when title is empty (from lfs-titles.xsl)
-    Commented out until can do section numbering
-  <xsl:template name="sect2.titlepage">
-    <xsl:choose>
-      <xsl:when test="string-length(title) = 0"/>
-      <xsl:otherwise>
-        <div class="titlepage">
-          <xsl:if test="@id">
-            <a id="{@id}" name="{@id}"/>
-          </xsl:if>
-          <h3 class="{name(.)}">
-            <xsl:apply-templates select="." mode="label.markup"/>
-            <xsl:text>. </xsl:text>
-            <xsl:value-of select="title"/>
-          </h3>
-        </div>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>-->
-
-    <!-- Added the role param for proper punctuation in xref calls
-            (from lfs-titles.xsl). -->
-  <xsl:template match="*" mode="insert.title.markup">
-    <xsl:param name="purpose"/>
-    <xsl:param name="xrefstyle"/>
-    <xsl:param name="title"/>
-    <xsl:param name="role"/>
-    <xsl:choose>
-      <xsl:when test="$purpose = 'xref' and titleabbrev">
-        <xsl:apply-templates select="." mode="titleabbrev.markup"/>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:copy-of select="$title"/>
-        <xsl:value-of select="$role"/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-
-    <!-- The CSS Stylesheet -->
-  <xsl:template name='user.head.content'>
-    <style type="text/css">
-      <xsl:text>
-/* Global settings */
-body {
-  font-family: verdana, tahoma, helvetica, arial, sans-serif;
-  text-align: left;
-  background: #fff;
-  color: #333;
-  margin: 1em;
-  padding: 0;
-  font-size: 1em;
-  line-height: 1.2em
-}
-
-a:link { color: #22b; }
-a:visited { color: #7e4988; }
-a:hover, a:focus { color: #d30e08; }
-a:active { color: #6b77b1;}
-
-/* Headers */
-h1, h2, b, strong {
-  color: #000;
-  font-weight: bold;
-}
-
-h3, h4, h5, h6 {
-  color: #222;
-}
-
-h1 { font-size: 173%; text-align: center; line-height: 1.2em; }
-h1.title sup { font-size: small; }
-h2 { font-size: 144%; line-height: 1.2em; }
-h2.subtitle { text-align: center; line-height: 1.2em; }
-h3 { font-size: 120%; padding-top: 0.2em; margin-top: 0.3em; line-height: 1.2em; }
-h4 { font-size: 110%;}
-div.package h4, h5, h6 { font-size: 110%; font-style: italic; }
-
-/* TOC and Index*/
-
-div.toc ul, div.index ul, div.navheader ul, div.navfooter ul {
-  list-style: none;
-}
-
-div.toc, div.dedication {
-  padding-left: 1em;
-}
-
-li.preface {
-  margin-left: 1em;
-}
-
-div.toc ul li h3, div.toc ul li h4 {
-  margin: .4em;
-}
-
-.item {
-    width: 18.5em;
-    float: left;
-}
-
-.indexref {
-    margin-left: 18.5em;
-}
-
-.secitem {
-    font-weight: normal;
-    width: 16em;
-    float: left;
-}
-
-/* Admonitions */
-div.note, div.tip {
-  background-color: #fffff6;
-  border: 2px solid #dbddec;
-  width: 90%;
-  margin: .5em auto;
-}
-
-div.important, div.warning, div.caution {
-  background-color: #fffff6;
-  border: medium solid #400;
-  width: 90%;
-  margin: 1.5em auto;
-  color: #600;
-  font-size: larger;
-}
-
-div.important h3, div.warning h3, div.caution h3 {
-  color: #900;
-}
-
-h3.admontitle {
-  padding-left: 2.5em;
-  padding-top: 1em;
-}
-
-div.admonbody {
-  margin: .5em;
-}
-
-div.important em, div.warning em, div.caution em {
-  color: #000;
-  font-weight: bold;
-}
-
-div.important tt, div.warning tt, div.caution tt {
-  font-weight: bold;
-}
-
-table {
-  width: auto;
-  margin-left: 1em;
-}
-
-td {
-  vertical-align: top;
-}
-
-td span, td p {
-  margin: 0.3em;
-}
-
-div.table table {
-  border-collapse: collapse;
-  }
-
-div.table td, div.table th {
-  padding: 0.3em;
-  text-align: right;
-  vertical-align: baseline;
-}
-
-div.table tr > td:first-child, div.table tr > th:first-child {
-  text-align: left;
-}
-
-span.term {
-  display: block;
-}
-
-/* variablelist and segmentedlist */
-dl {
-  margin: 0;
-  padding: 0;
-  list-style-type: none;
-}
-
-dt {
-  display: list-item;
-  font-weight: bold;
-  margin: .33em 0 0 1em;
-  padding: 0;
-}
-
-span.seg {
-  display: block;
-  padding-left: 12em;
-}
-
-div.content dt {
-  list-style: none;
-}
-
-dd  {
-  margin: 0 0 1em 3em;
-  padding: 0;
-}
-
-div.variablelist dd {
-  margin-bottom: 1em;
-}
-
-div.variablelist dd p {
-  margin-top: 0px;
-}
-
-dl.materials dd {
-  margin-left: 0px;
-}
-
-div.segmentedlist {
-  margin-top: 1em;
-}
-
-div.segmentedlist p {
-  margin: 0px auto;
-}
-
-span.segtitle {
-  display: block;
-  float: left;
-  width: 12em;
-}
-
-div.seg {
-  clear: left;
-}
-
-/* itemizedlist */
-
-div.itemizedlist {
-  margin-left: 1em;
-}
-
-ul[compact="compact"] li p {
-  padding: 0.3em;
-  margin: 0em;
-  background-color: #f0fff0;
-}
-
-/* Indented blocks */
-p, ul, dl, code, blockquote {
-  padding-left: 1em;
-}
-
-/* Monospaced elements */
-tt, code, kbd, pre, .command {
-  font-family: monospace;
-}
-
-pre.userinput {
-  color: #101310;
-  background-color: #e5e5e5;
-  border: 1px solid #050505;
-  padding: .5em 1em;
-  margin: 0 2em;
-  font-weight: bold;
-}
-
-pre.root {
-  color: #101310;
-  background-color: #e5e5e5;
-  border: 1px solid #050505;
-  padding: .5em 1em;
-  margin: 0 2em;
-  font-weight: bold;
-}
-
-.literal, .prompt {
-  font-weight: normal;
-}
-
-pre.screen {
-  background-color: #e9e9e9;
-  border: 1px solid #050505;
-  padding: .5em 1em;
-  margin: 0 2em;
-}
-
-/* Sections */
-div h2 {
-  padding: 1em 0 0.5em 0;
-  margin: 0px auto;
-}
-
-div.glossary h2 {
-  text-align: center;
-   font-size: 173%;
-   padding-top: 0.4em;
-   border-bottom: .1em solid #dbddec;
-}
-
-div.package {
-  padding: 0 0.5em 0.3em 0.5em;
-  margin: 0.5em 0 0.5em 0;
-}
-
-div.kernel {
-  padding: 0 0.5em 0.3em 0.5em;
-  margin: 0.5em 0 0.5em 0;
-}
-
-div.installation {
-  padding: 0 0.5em 0.3em 0.5em;
-  margin: 0.5em 0 0.5em 0;
-}
-
-div.commands {
-  padding: 0 0.5em 0.3em 0.5em;
-  margin: 0.5em 0 0.5em 0;
-}
-
-div.testing {
-  padding: 0 0.5em 0.3em 0.5em;
-  margin: 0.5em 0 0.5em 0;
-}
-
-div.configuration {
-  padding: 0 0.5em 0.3em 0.5em;
-  margin: 0.5em 0 0.5em 0;
-}
-
-div.content {
-  padding: 0 0.5em 0.3em 0.5em;
-  margin: 0.5em 0 0.5em 0;
-}
-
-div.book, div.preface, div.part, div.chapter, div.sect1, div.appendix, div.index {
-  padding-bottom: 0.5em;
-}
-
-div.preface h2, div.part h1, div.chapter h2.title, div.sect1 h2.title, div.appendix h1, div.index h1 {
-  background: #f5f6f7;
-  border-bottom: .1em solid #dbddec;
-  border-top: .1em solid #dbddec;
-  margin-top 1em;
-  padding: .5em;
-  text-align: center;
-}
-
-div.book h1 {
-  background: #f5f6f7;
-  margin: 0px auto;
-  padding: 0.5em;
-}
-
-div.book h2.subtitle {
-  background: #dbddec;
-  margin: 0px auto;
-  padding: 0.2em;
-}
-div.authorgroup, div p.copyright, div.abstract, div p.pubdate, div.revhistory {
-  background: #f5f6f7;
-  margin: 0px auto;
-  padding:  1em 0.5em;
-}
-
-hr {
-  background: #dbddec;
-  height: .3em;
-  border: 0px;
-  margin: 0px auto;
-  padding: 0;
-}
-
-/* Last edited info */
-p.updated {
-  font-size: small;
-  font-weight: bold;
-  font-style: italic;
-}
-
-/* Inline tags */
-
-tt.systemitem {
-  font-style: italic;
-}
-      </xsl:text>
-    </style>
-  </xsl:template>
+    <!-- Do section labels include the component label? 1 = yes, 0 = no -->
+  <xsl:param name="section.label.includes.component.label" select="0"/>
 
 </xsl:stylesheet>
Index: stylesheets/blfs-pdf.xsl
===================================================================
--- stylesheets/blfs-pdf.xsl	(revision 8e377985a564684ac6e6869cd9c21804c6b8fe74)
+++ stylesheets/blfs-pdf.xsl	(revision 4685d1c425317749036cb7f7319d2c1b732b6aa6)
@@ -10,46 +10,16 @@
                 version="1.0">
 
-    <!-- We use FO and FOP as the processor -->
-  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.69.1/fo/docbook.xsl"/>
-  <xsl:param name="fop.extensions" select="1"/>
-  <xsl:param name="draft.mode" select="'no'"/>
+    <!-- LFS top-level pdf templates. -->
+  <xsl:import href="lfs-xsl/pdf.xsl"/>
 
-    <!-- Including our others customized templates -->
-  <xsl:include href="pdf/lfs-admon.xsl"/>
-  <xsl:include href="pdf/lfs-index.xsl"/>
-  <xsl:include href="pdf/lfs-mixed.xsl"/>
-  <xsl:include href="pdf/lfs-pagesetup.xsl"/>
-  <xsl:include href="pdf/lfs-sections.xsl"/>
-  <xsl:include href="pdf/lfs-xref.xsl"/>
+    <!-- The LFS book type to be processed (lfs, blfs, clfs, or hlfs) -->
+  <xsl:param name="book-type">blfs</xsl:param>
 
-    <!-- This file contains our localization strings (for internationalization) -->
-  <xsl:param name="local.l10n.xml" select="document('blfs-l10n.xml')"/>
+    <!-- Are sections enumerated? 1 = yes, 0 = no
+           Note: Activating this will increase a lot rendering time. -->
+  <xsl:param name="section.autolabel" select="0"/>
 
-    <!-- Probably want to make the paper size configurable -->
-  <xsl:param name="paper.type" select="'letter'"/>
-
-    <!-- Printing Style -->
-  <xsl:param name="double.sided" select="0"/>
-  <xsl:param name="hyphenate">false</xsl:param>
-  <xsl:param name="alignment">justify</xsl:param>
-
-    <!-- Font size -->
-  <xsl:param name="body.font.master">9</xsl:param>
-  <xsl:param name="body.font.size">12pt</xsl:param>
-
-    <!-- TOC generation -->
-  <xsl:param name="generate.toc">
-    book      toc
-    part      nop
-  </xsl:param>
-  <xsl:param name="toc.section.depth">1</xsl:param>
-  <xsl:param name="generate.section.toc.level" select="-1"/>
-  <xsl:param name="toc.indent.width" select="18"/>
-
-  <!-- Page number in Xref-->
-  <xsl:param name="insert.xref.page.number">no</xsl:param>
-
-  <!-- Prevent duplicate e-mails in the Acknowledgments pages-->
-  <xsl:param name="ulink.show" select="0"/>
+    <!-- Do section labels include the component label? 1 = yes, 0 = no -->
+  <xsl:param name="section.label.includes.component.label" select="0"/>
 
 </xsl:stylesheet>