Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4df53ea3d24273894a379a3805c83d1f5172a20f)
+++ introduction/welcome/changelog.xml	(revision 4694b140d0f3ae1310fca1f42b6153db152c3138)
@@ -46,6 +46,12 @@
       <itemizedlist>
         <listitem>
+          <para>[randy] - Replaced the commands to modify the *ns*.pc pkgconfig
+          files with commands to create symlinks to the actual NSS/NSPR .pc
+          files in the Firefox, Mozilla and Thunderbird instructions as
+          suggested by Dan Nicholson.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Abbreviated the commands used to install the NSS
-          libraries in the NSS instructions, suggested by Tushar
+          libraries in the NSS instructions as suggested by Tushar
           Teredesai.</para>
         </listitem>
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision 4df53ea3d24273894a379a3805c83d1f5172a20f)
+++ xsoft/graphweb/firefox.xml	(revision 4694b140d0f3ae1310fca1f42b6153db152c3138)
@@ -85,6 +85,7 @@
     <bridgehead renderas="sect4">Recommended (if you will be installing any
     other package that utilizes NSS/NSPR, such as
-    <application>Thunderbird</application> or
-    <application>Mozilla</application>)</bridgehead>
+    <application>Thunderbird</application>,
+    <application>Mozilla</application> or
+    <application>Evolution</application>)</bridgehead>
     <para role="recommended"><xref linkend="nss"/></para>
 
@@ -266,8 +267,11 @@
     system-installed NSS and NSPR libraries, the
     <filename>firefox-ns*.pc</filename> <application>pkgconfig</application>
-    files need to be modified. Issue the following command as the
-    <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>sed -i 's|/firefox-1.5||' /usr/lib/pkgconfig/firefox-ns*.pc</userinput></screen>
+    files are broken as they point to the wrong directories where the actual
+    libraries and interface headers are located. Issue the following commands
+    as the <systemitem class="username">root</systemitem> user to replace the
+    broken files with symbolic links to known good files:</para>
+
+<screen role="root"><userinput>ln -v -sf nss.pc /usr/lib/pkgconfig/firefox-nss.pc &amp;&amp;
+ln -v -sf nspr.pc /usr/lib/pkgconfig/firefox-nspr.pc</userinput></screen>
 
     <para>If you did <emphasis role="strong">NOT</emphasis> build
Index: xsoft/graphweb/mozilla.xml
===================================================================
--- xsoft/graphweb/mozilla.xml	(revision 4df53ea3d24273894a379a3805c83d1f5172a20f)
+++ xsoft/graphweb/mozilla.xml	(revision 4694b140d0f3ae1310fca1f42b6153db152c3138)
@@ -183,6 +183,7 @@
     <bridgehead renderas="sect4">Recommended (if you will be installing any
     other package that utilizes NSS/NSPR, such as
-    <application>Firefox</application> or
-    <application>Thunderbird</application>)</bridgehead>
+    <application>Firefox</application>,
+    <application>Thunderbird</application> or
+    <application>Evolution</application>)</bridgehead>
     <para role="recommended"><xref linkend="nss"/></para>
 
@@ -347,8 +348,11 @@
     system-installed NSS and NSPR libraries, the
     <filename>mozilla-ns*.pc</filename> <application>pkgconfig</application>
-    files need to be modified. Issue the following command as the
-    <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>sed -i 's|/mozilla-&mozilla-version;||' /usr/lib/pkgconfig/mozilla-ns*.pc</userinput></screen>  
+    files are broken as they point to the wrong directories where the actual
+    libraries and interface headers are located. Issue the following commands
+    as the <systemitem class="username">root</systemitem> user to replace the
+    broken files with symbolic links to known good files:</para>
+    
+<screen role="root"><userinput>ln -v -sf nss.pc /usr/lib/pkgconfig/mozilla-nss.pc &amp;&amp;
+ln -v -sf nspr.pc /usr/lib/pkgconfig/mozilla-nspr.pc</userinput></screen>
 
     <para>If you did <emphasis role="strong">NOT</emphasis> build
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision 4df53ea3d24273894a379a3805c83d1f5172a20f)
+++ xsoft/other/thunderbird.xml	(revision 4694b140d0f3ae1310fca1f42b6153db152c3138)
@@ -107,6 +107,7 @@
     <bridgehead renderas="sect4">Recommended (if you will be installing any
     other package that utilizes NSS/NSPR, such as
-    <application>Firefox</application> or
-    <application>Mozilla</application>)</bridgehead>
+    <application>Firefox</application>,
+    <application>Mozilla</application> or
+    <application>Evolution</application>)</bridgehead>
     <para role="recommended"><xref linkend="nss"/></para>
 
@@ -271,8 +272,11 @@
     system-installed NSS and NSPR libraries, the
     <filename>thunderbird-ns*.pc</filename> <application>pkgconfig</application>
-    files need to be modified. Issue the following command as the
-    <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>sed -i 's|/thunderbird-1.5||' /usr/lib/pkgconfig/thunderbird-ns*.pc</userinput></screen>
+    files are broken as they point to the wrong directories where the actual
+    libraries and interface headers are located. Issue the following commands
+    as the <systemitem class="username">root</systemitem> user to replace the
+    broken files with symbolic links to known good files:</para>
+      
+<screen role="root"><userinput>ln -v -sf nss.pc /usr/lib/pkgconfig/thunderbird-nss.pc &amp;&amp;
+ln -v -sf nspr.pc /usr/lib/pkgconfig/thunderbird-nspr.pc</userinput></screen>
 
     <para>If you did <emphasis role="strong">NOT</emphasis> build