Index: template/template.xml
===================================================================
--- template/template.xml	(revision 97e436441205bb2c6d955ef29c47ea69cf5f9fbe)
+++ template/template.xml	(revision 4705fa4bb1fc109be2ae1c59b358e9af4551c72f)
@@ -17,215 +17,255 @@
 ]>
 
+<!-- Try to keep the indentation used in this file-->
 <sect1 id="TEMPLATE" xreflabel="TEMPLATE-&TEMPLATE-version;">
-
-<sect1info>
-  <othername>$LastChangedBy$</othername>
-  <date>$Date$</date>
-</sect1info>
-
-<?dbhtml filename="TEMPLATE.html"?>
-<!-- No <application> tags in any title-->
-<title>TEMPLATE-&TEMPLATE-version;</title>
-<indexterm zone="TEMPLATE">
-  <primary sortas="a-TEMPLATE">TEMPLATE</primary>
-</indexterm>
-
-<!-- Added role attibutes to <sect2> tags to allow to have a different look 
-for each section, if needed-->
-<sect2 role="package">
-<title>Introduction to TEMPLATE</title>
-
-<para>The <application>TEMPLATE</application> package contains... 
-This is useful for...</para>
-
-<!-- Replaced <sect3> and <sect4> tags by <bridgehead> in this section
-to reduce the number of <sectX> to be processed if numbered sections is
-wanted in the future.-->
-<bridgehead renderas="sect3">Package information</bridgehead>
-<itemizedlist spacing="compact">
-  <listitem><para>Download (HTTP): 
-    <ulink url="&TEMPLATE-download-http;"/></para></listitem>
-  <listitem><para>Download (FTP): 
-    <ulink url="&TEMPLATE-download-ftp;"/></para></listitem>
-  <listitem><para>Download MD5 sum: 
-    &TEMPLATE-md5sum;</para></listitem>
-  <listitem><para>Download size: 
-    &TEMPLATE-size;</para></listitem>
-  <listitem><para>Estimated disk space required: 
-    &TEMPLATE-buildsize;</para></listitem>
-  <listitem><para>Estimated build time: 
-    &TEMPLATE-time;</para></listitem>
-</itemizedlist>
-
-<bridgehead renderas="sect3">Additional downloads</bridgehead>
-<itemizedlist spacing="compact">
-  <listitem><para>Required patch: <ulink 
+  <?dbhtml filename="TEMPLATE.html"?>
+  
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+  
+  <!-- No other tags inside any title-->
+  <!-- Use Title Case in All Titles 
+  The "The Chicago Manual of Style":
+  "-Always capitalize the first and the last word. 
+   -Capitalize all nouns, pronouns, adjectives, verbs, adverbs, and
+    subordinate conjunctions ("as", "because", "although").
+   -Lowercase all articles, coordinate conjunctions ("and", "or", "nor"),
+    and prepositions regardless of length, when they are other than the
+    first or last word.
+   -Lowercase the "to" in an infinitive."-->
+  <title>TEMPLATE-&TEMPLATE-version;</title>
+  
+  <indexterm zone="TEMPLATE">
+    <primary sortas="a-TEMPLATE">TEMPLATE</primary>
+  </indexterm>
+  
+  <!--Required section-->
+  <sect2 role="package">
+    <title>Introduction to TEMPLATE</title>
+    
+    <para>The <application>TEMPLATE</application> package contains... 
+    This is useful for...</para>
+    
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&TEMPLATE-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&TEMPLATE-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &TEMPLATE-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &TEMPLATE-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &TEMPLATE-buildsize;</para>
+      </listitem>
+      <listitem>
+      <para>Estimated build time: &TEMPLATE-time;</para></listitem>
+    </itemizedlist>
+    
+    <!-- As required -->
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required patch: <ulink 
     url="&patch-root;/TEMPLATE-&TEMPLATE-version;-patch_name-patch_version.patch"/></para>
-  </listitem>
-</itemizedlist>
-
-<bridgehead renderas="sect3">TEMPLATE dependencies</bridgehead>
-
-<bridgehead renderas="sect4">Required</bridgehead>
-<para><xref linkend="BLFS DEPENDENCY"/></para>
-
-<bridgehead renderas="sect4">Optional</bridgehead>
-<para><ulink url="http://www.some.url/">EXTERNAL DEPENDENCY</ulink></para>
-
-</sect2>
-
-<sect2 role="installation">
-<title>Installation of TEMPLATE</title>
-
-<para>Install <application>TEMPLATE</application> by running the following 
-commands:</para>
-
-<!-- Removed <command> tags. For file creation commands <literal> tags must be added
-enclosing the actual text-->
+      </listitem>
+    </itemizedlist>
+    
+    <bridgehead renderas="sect3">TEMPLATE Dependencies</bridgehead>
+    
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="BLFS DEPENDENCY"/></para>
+    
+    <!-- As required -->
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para><ulink url="http://www.some.url/">EXTERNAL DEPENDENCY</ulink>,
+          <xref linkend="BLFS DEPENDENCY"/></para>
+    </para>
+    
+    <!-- As required -->
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><ulink url="http://www.some.url/">EXTERNAL DEPENDENCY</ulink></para>
+    
+  </sect2>
+  
+  <!-- Optional section for packages that need a specific kernel configuration-->
+  <sect2 role="kernel" id='TEMPLATE-kernel'>
+    <title>Kernel Configuration</title>
+    
+    <para>Enable the following options in the kernel configuration
+    and recompile the kernel if neccessary:</para>
+    
+<!-- Spaces are significant in <screen> sections -->    
+<screen><literal>Master section:
+  Subsection:
+    Required Option: M or Y
+    Incompatible option: N</literal></screen>
+    
+    <para>Select the appropriate sub-options that appear when the above options
+    are selected.</para>
+    
+    <indexterm zone="TEMPLATE TEMPLATE-kernel">
+      <primary sortas="d-TEMPLATE">TEMPLATE</primary>
+    </indexterm>
+    
+  </sect2>
+  
+  <!--Required section-->
+  <sect2 role="installation">
+    <title>Installation of TEMPLATE</title>
+    
+    <para>Install <application>TEMPLATE</application> by running the following 
+    commands:</para>
+    
+<!-- Spaces are significant in <screen> sections -->    
 <screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
-
-<!--Added the test sute execution-->
-<para>To test the results, issue: <command>make check</command>.</para>
-
-<!--Added <systemitem> tag-->
-<para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-
-<!--Changed where the role attribute is placed-->
+    
+    <para>To test the results, issue: <command>make check</command>.</para>
+    
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    
 <screen role="root"><userinput>make install</userinput></screen>
-
-</sect2>
-
-<sect2 role="commands">
-<title>Command explanations</title>
-
-<para><command>COMMAND</command>: This command does something.</para>
-
-<para><parameter>--SWITCH=PARAMETER</parameter>: This parameter does 
-something mandatory for BLFS purposes.</para>
-
-<para><option>--OPTION</option>: This option does something optionally
-per the user's desires.</para>
-
-</sect2>
-
-<sect2 role="configuration">
-<title>Configuring TEMPLATE</title>
-
-<sect3 id="TEMPLATE-config">
-  <title>Config files</title>
-  <para><filename>~/.Configfilename1</filename> and 
-    <filename>/etc/path/Configfilename2</filename></para>
-
-  <indexterm zone="TEMPLATE TEMPLATE-config">
-    <primary sortas="e-AA.Configfilename1">~/.Configfilename1</primary>
-  </indexterm>
-  
-  <indexterm zone="TEMPLATE TEMPLATE-config">
-    <primary sortas="e-etc-path-Configfilename2">/etc/path/Configfilename2</primary>
-  </indexterm>
-</sect3>
-
-<sect3><title>Configuration information</title>
-  
-  <!--Making this part more proper-->
-  <para>Blah blah blah about config.</para>
-
+    
+  </sect2>
+  
+  <!--Optional section-->
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+    
+    <para><command>COMMAND</command>: This command does something.</para>
+    
+    <para><parameter>--SWITCH=PARAMETER</parameter>: This parameter does 
+    something mandatory for BLFS purposes.</para>
+    
+    <para><option>--OPTION</option>: This option does something optionally
+    per the user's desires.</para>
+    
+  </sect2>
+  
+  <!--Optional section-->
+  <sect2 role="configuration">
+    <title>Configuring TEMPLATE</title>
+    
+    <sect3 id="TEMPLATE-config">
+      <title>Config Files</title>
+      <para><filename>~/.Configfilename1</filename> and 
+      <filename>/etc/path/Configfilename2</filename></para>
+      
+      <indexterm zone="TEMPLATE TEMPLATE-config">
+        <primary sortas="e-AA.Configfilename1">~/.Configfilename1</primary>
+      </indexterm>
+      
+      <indexterm zone="TEMPLATE TEMPLATE-config">
+        <primary sortas="e-etc-path-Configfilename2">/etc/path/Configfilename2</primary>
+      </indexterm>
+    </sect3>
+    
+    <sect3><title>Configuration Information</title>
+      
+      <para>Blah blah blah about config.</para>
+      
 <screen><userinput>USER CONFIG COMMANDS</userinput></screen>
   
 <screen role="root"><userinput>ROOT CONFIG COMMANDS</userinput></screen>
-
-  <!-- File creation-->
-  <para>Create the file .... for ...</para>
-  
+      
+      <!-- File creation. Add the appropiate <indexterm> block if needed.-->
+      <para>Create the file .... for ...</para>
+      
 <screen role="root"><userinput>cat &gt;&gt; /PATH/FILENAME &lt;&lt; "EOF"
 <literal># Begin FILENAME
-
+            
 TEXT
-    
+            
 # End FILENAME</literal>
 EOF</userinput></screen>
-    <!-- -->
-    
-  <sect3  id="TEMPLATE-init">
-  <title>Boot Scripts</title>
-  
-    <para>To automatically start the <command>TEMPLATE</command> daemon 
-    when the system is rebooted, install the 
-    <filename>/etc/rc.d/init.d/TEMPLATE</filename> bootscript from the 
-    <xref linkend="intro-important-bootscripts"/> package.</para> 
-
-  <indexterm zone="TEMPLATE TEMPLATE-init"> 
-    <primary sortas="f-TEMPLATE">TEMPLATE</primary>
-  </indexterm> 
-
+      
+    </sect3>
+    
+    <sect3  id="TEMPLATE-init">
+      <title>Boot Script</title>
+      
+      <para>To automatically start the <command>TEMPLATE</command> daemon 
+        when the system is rebooted, install the     <filename>/etc/rc.d/init.d/TEMPLATE</filename> 
+      bootscript from the <xref linkend="intro-important-bootscripts"/> package.</para>
+      
+      <indexterm zone="TEMPLATE TEMPLATE-init"> 
+        <primary sortas="f-TEMPLATE">TEMPLATE</primary>
+      </indexterm> 
+      
 <screen role="root"><userinput>make install-TEMPLATE</userinput></screen>
-
-</sect3>
-
-</sect2>
-
-<sect2 role="content">
-<title>Contents</title>
-
-<segmentedlist>
-  <segtitle>Installed Program(s)</segtitle>
-  <segtitle>Installed Librar(y,ies)</segtitle>
-  <segtitle>Installed Director(y,ies)</segtitle>
-
-  <seglistitem>
-    <seg>PROGRAM1, PROGRAM2, and PROGRAM3</seg>
-    <seg>libLIBRARY1, libLIBRARY2, and libLIBRARY3</seg>
-    <seg>/etc/TEMPLATE, /usr/include/TEMPLATE, /usr/lib/TEMPLATE, 
-         /usr/share/TEMPLATE-&TEMPLATE-version;, 
-         /usr/share/doc/TEMPLATE-&TEMPLATE-version;, and 
-         /var/lib/TEMPLATE</seg>
-  </seglistitem>
-</segmentedlist>
-
-<variablelist>
-  <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-  <?dbfo list-presentation="list"?>
-  <!--Render this as a table for HTML output-->
-  <?dbhtml list-presentation="table"?>
-
-<!-- If the program or library name conflicts (is the same) as the 
-package name, add -prog or -lib to the varlistentry entity id 
-and the 2nd entry of the indexterm zone entity -->
-
-<varlistentry id="PROGRAM1">
-  <term><command>PROGRAM1</command></term>
-  <listitem>
-    <para>does this .....</para>
-    <indexterm zone="TEMPLATE PROGRAM1">
-      <primary sortas="b-PROGRAM1">PROGRAM1</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="PROGRAM2">
-  <term><command>PROGRAM2</command></term>
-  <listitem>
-    <para>does this .....</para>
-    <indexterm zone="TEMPLATE PROGRAM2">
-      <primary sortas="b-PROGRAM2">PROGRAM2</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="libLIBRARY1">
-  <term><filename class='libraryfile'>libLIBRARY1.[so,a]</filename></term>
-  <listitem>
-    <para>contains functions that .....</para>
-    <indexterm zone="TEMPLATE libLIBRARY1">
-      <primary sortas="c-libLIBRARY1">libLIBRARY1.[so,a]</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-</variablelist>
-
-</sect2>
-
+      
+    </sect3>
+    
+  </sect2>
+  
+  <sect2 role="content">
+    <title>Contents</title>
+    
+    <segmentedlist>
+      <segtitle>Installed Program(s)</segtitle>
+      <segtitle>Installed Librar(y,ies)</segtitle>
+      <segtitle>Installed Director(y,ies)</segtitle>
+      
+      <seglistitem>
+        <seg>PROGRAM1, PROGRAM2, and PROGRAM3</seg>
+        <seg>libLIBRARY1, libLIBRARY2, and libLIBRARY3</seg>
+        <seg>/etc/TEMPLATE, /usr/include/TEMPLATE, /usr/lib/TEMPLATE, 
+          /usr/share/TEMPLATE-&TEMPLATE-version;, 
+          /usr/share/doc/TEMPLATE-&TEMPLATE-version;, and 
+        /var/lib/TEMPLATE</seg>
+      </seglistitem>
+    </segmentedlist>
+    
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+      
+      <!-- If the program or library name conflicts (is the same) as the 
+      package name, add -prog or -lib to the varlistentry entity id 
+      and the 2nd entry of the indexterm zone entity -->
+      
+      <varlistentry id="PROGRAM1">
+        <term><command>PROGRAM1</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="TEMPLATE PROGRAM1">
+            <primary sortas="b-PROGRAM1">PROGRAM1</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="PROGRAM2">
+        <term><command>PROGRAM2</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="TEMPLATE PROGRAM2">
+            <primary sortas="b-PROGRAM2">PROGRAM2</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="libLIBRARY1">
+        <term><filename class='libraryfile'>libLIBRARY1.[so,a]</filename></term>
+        <listitem>
+          <para>contains functions that .....</para>
+          <indexterm zone="TEMPLATE libLIBRARY1">
+            <primary sortas="c-libLIBRARY1">libLIBRARY1.[so,a]</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+    </variablelist>
+    
+  </sect2>
+  
 </sect1>
 