Index: general.ent
===================================================================
--- general.ent	(revision ce39b2841672eb4bbf6a4a7ad26d08b1a7a57caa)
+++ general.ent	(revision 4739ff58bb74203f4c87a03ce735a65126341abe)
@@ -102,4 +102,5 @@
 <!ENTITY imagemagick-version          "6.0.5">
 <!ENTITY hd2u-version                 "0.9.1">
+<!ENTITY gtk-doc-version              "1.2">
 <!ENTITY screen-version               "4.0.2">
 <!ENTITY tidy-version                 "041005">
@@ -268,5 +269,4 @@
 <!-- Chapter 30 -->
 <!ENTITY gnome-version                "2.6">
-<!ENTITY gtk-doc-version              "1.2">
 <!ENTITY libIDL-version               "0.8.4">
 <!ENTITY ORBit2-version               "2.10.2">
Index: general/genlib/libcroco.xml
===================================================================
--- general/genlib/libcroco.xml	(revision ce39b2841672eb4bbf6a4a7ad26d08b1a7a57caa)
+++ general/genlib/libcroco.xml	(revision 4739ff58bb74203f4c87a03ce735a65126341abe)
@@ -32,5 +32,5 @@
 <listitem><para>Download (HTTP): <ulink url="&libcroco-download-http;"/></para></listitem>
 <listitem><para>Download (FTP): <ulink url="&libcroco-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &libcroco-md5sum;</para></listitem>
+<listitem><para>MD5 sum: &libcroco-md5sum;</para></listitem>
 <listitem><para>Download size: &libcroco-size;</para></listitem>
 <listitem><para>Estimated disk space required: &libcroco-buildsize;</para></listitem>
Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision ce39b2841672eb4bbf6a4a7ad26d08b1a7a57caa)
+++ general/genutils/genutils.xml	(revision 4739ff58bb74203f4c87a03ce735a65126341abe)
@@ -15,4 +15,5 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="imagemagick.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="hd2u.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gtk-doc.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="screen.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="tidy.xml"/>
Index: general/genutils/gtk-doc.xml
===================================================================
--- general/genutils/gtk-doc.xml	(revision 4739ff58bb74203f4c87a03ce735a65126341abe)
+++ general/genutils/gtk-doc.xml	(revision 4739ff58bb74203f4c87a03ce735a65126341abe)
@@ -0,0 +1,100 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+<!ENTITY gtk-doc-download-http "http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.2/gtk-doc-&gtk-doc-version;.tar.bz2">
+<!ENTITY gtk-doc-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.2/gtk-doc-&gtk-doc-version;.tar.bz2">
+<!ENTITY gtk-doc-md5sum "7776ad690ca6baaaf071c83b51d2a234">
+<!ENTITY gtk-doc-size "132 KB">
+<!ENTITY gtk-doc-buildsize "1.1 MB">
+<!ENTITY gtk-doc-time "0.01 SBU">
+]>
+
+<sect1 id="gtk-doc" xreflabel="GTK-Doc-&gtk-doc-version;">
+<sect1info>
+<othername>$LastChangedBy$</othername>
+<date>$Date$</date>
+</sect1info>
+<?dbhtml filename="gtk-doc.html"?>
+<title>GTK-Doc-&gtk-doc-version;</title>
+
+<sect2>
+<title>Introduction to <application><acronym>GTK</acronym>-Doc</application>
+</title>
+
+<para>The <application><acronym>GTK</acronym>-Doc</application> package 
+contains a code documentor. This is useful for extracting specially formatted 
+comments from the code to create <acronym>API</acronym> documentation. This 
+package is <emphasis>optional</emphasis>; if it is not installed, packages will 
+not build the documentation. This does not mean that you will not have any 
+documentation. If <application><acronym>GTK</acronym>-Doc</application> is not 
+available, the install process will copy pre-built documentation to your system.
+</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gtk-doc-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gtk-doc-download-ftp;"/></para></listitem>
+<listitem><para>MD5 sum: &gtk-doc-md5sum;</para></listitem>
+<listitem><para>Download size: &gtk-doc-size;</para></listitem>
+<listitem><para>Estimated disk space required: 
+&gtk-doc-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gtk-doc-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application><acronym>GTK</acronym>-Doc</application> 
+dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="openjade"/>, 
+<xref linkend="libxslt"/>, 
+<xref linkend="DocBook"/> and 
+<xref linkend="docbook-xsl"/></para>
+</sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application><acronym>GTK</acronym>-Doc</application>
+</title>
+
+<para>Install <application><acronym>GTK</acronym>-Doc</application> by running 
+the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>GTK</acronym>-Doc</application> 
+package contains 
+<command>gtkdoc-fixxref</command>, 
+<command>gtkdoc-mkdb</command>, 
+<command>gtkdoc-mkhtml</command>, 
+<command>gtkdoc-mkman</command>, 
+<command>gtkdoc-mktmpl</command>, 
+<command>gtkdoc-scan</command>, 
+<command>gtkdoc-scangobj</command>, 
+<command>gtkdoc-scanobj</command> and 
+<command>gtkdocize</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<para>These are all <application>Perl</application> scripts used by 
+<filename>Makefile</filename> scripts to generate documentation for the 
+package being built.</para>
+
+</sect2>
+
+</sect1>
+
Index: general/graphlib/libart_lgpl.xml
===================================================================
--- general/graphlib/libart_lgpl.xml	(revision ce39b2841672eb4bbf6a4a7ad26d08b1a7a57caa)
+++ general/graphlib/libart_lgpl.xml	(revision 4739ff58bb74203f4c87a03ce735a65126341abe)
@@ -7,4 +7,5 @@
 <!ENTITY libart_lgpl-download-http "http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/2.3/libart_lgpl-&libart_lgpl-version;.tar.bz2">
 <!ENTITY libart_lgpl-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/2.3/libart_lgpl-&libart_lgpl-version;.tar.bz2">
+<!ENTITY libart_lgpl-md5sum "6bb13292b00649d01400a5b29a6c87cb">
 <!ENTITY libart_lgpl-size "260 KB">
 <!ENTITY libart_lgpl-buildsize "4.7 MB">
@@ -33,4 +34,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&libart_lgpl-download-ftp;"/></para></listitem>
+<listitem><para>MD5 sum: &libart_lgpl-md5sum;</para></listitem>
 <listitem><para>Download size: &libart_lgpl-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
Index: gnome/core/core.xml
===================================================================
--- gnome/core/core.xml	(revision ce39b2841672eb4bbf6a4a7ad26d08b1a7a57caa)
+++ gnome/core/core.xml	(revision 4739ff58bb74203f4c87a03ce735a65126341abe)
@@ -15,5 +15,4 @@
 
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pre-install-config.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gtk-doc.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libidl.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="orbit2.xml"/>
Index: ome/core/gtk-doc.xml
===================================================================
--- gnome/core/gtk-doc.xml	(revision ce39b2841672eb4bbf6a4a7ad26d08b1a7a57caa)
+++ 	(revision )
@@ -1,115 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
-   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-<!ENTITY gtk-doc-download-http "http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.2/gtk-doc-&gtk-doc-version;.tar.bz2">
-<!ENTITY gtk-doc-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.2/gtk-doc-&gtk-doc-version;.tar.bz2">
-<!ENTITY gtk-doc-size "132 KB">
-<!ENTITY gtk-doc-buildsize "1092 KB">
-<!ENTITY gtk-doc-time "0.01 SBU">
-]>
-
-<sect1 id="gtk-doc" xreflabel="GTK-Doc-&gtk-doc-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="gtk-doc.html"?>
-<title>GTK-Doc-&gtk-doc-version;</title>
-
-<sect2>
-<title>Introduction to <application><acronym>GTK</acronym>-Doc</application>
-</title>
-
-<para>The <application><acronym>GTK</acronym>-Doc</application> package 
-contains a code documentor. This is useful for extracting specially formatted 
-comments from the code to create <acronym>API</acronym> documentation. This 
-package is <emphasis>optional</emphasis>; if it is not installed, packages will 
-not build the documentation. This does not mean that you will not have any 
-documentation. If <application><acronym>GTK</acronym>-Doc</application> is not 
-available, the install process will copy pre-built documentation to your system.
-</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&gtk-doc-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&gtk-doc-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &gtk-doc-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
-&gtk-doc-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&gtk-doc-time;</para></listitem></itemizedlist>
-</sect3>
-
-<!-- <sect3><title>Additional downloads:</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Required download:</para></listitem>
-<listitem><para><ulink
-url="http://www.labs.redhat.com/png/png-support-3.1.dtd">png-support-3.1.dtd</ulink></para></listitem></itemizedlist></sect3> -->
-
-<sect3><title><application><acronym>GTK</acronym>-Doc</application> 
-dependencies</title>
-<sect4><title>Required</title>
-<para>
-<xref linkend="openjade"/>,
-<xref linkend="libxslt"/>,
-<xref linkend="DocBook"/> and
-<xref linkend="docbook-xsl"/>
-<!--
-<xref linkend="sgml-dtd-3"/>,
-<xref linkend="sgml-dtd"/> and
-<xref linkend="docbook-dsssl"/>
--->
-</para></sect4>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Installation of <application><acronym>GTK</acronym>-Doc</application>
-</title>
-
-<para>Install <application><acronym>GTK</acronym>-Doc</application> by running 
-the following commands:</para>
-
-<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
-make install</command></userinput></screen>
-
-<!-- <para>You should either save <filename>png-support-3.1.dtd</filename> to
-<filename>/usr/share/sgml/docbook/sgml-dtd-3.1</filename> or move the
-file to that location. Some configuration steps need to be performed
-that are listed at <xref linkend="sgml-dtd-3"/>.</para> -->
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<para>The <application><acronym>GTK</acronym>-Doc</application> package contains
-<command>gtkdoc-fixxref</command>,
-<command>gtkdoc-mkdb</command>,
-<command>gtkdoc-mkhtml</command>,
-<command>gtkdoc-mkman</command>,
-<command>gtkdoc-mktmpl</command>,
-<command>gtkdoc-scan</command>,
-<command>gtkdoc-scangobj</command>,
-<command>gtkdoc-scanobj</command> and
-<command>gtkdocize</command>.
-</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<para>These are all <application>Perl</application> scripts used by
-<filename>Makefile</filename> scripts to generate
-documentation for the package.</para>
-
-</sect2>
-
-</sect1>
-
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ce39b2841672eb4bbf6a4a7ad26d08b1a7a57caa)
+++ introduction/welcome/changelog.xml	(revision 4739ff58bb74203f4c87a03ce735a65126341abe)
@@ -23,7 +23,7 @@
 <itemizedlist>
 
-<listitem><para>November 6th, 2004 [randy]: Moved the libart_lgpl package to 
-Chapter 9 - Graphics and Font Libraries and the libcroco package to Chapter 8 
-- General Libraries.</para></listitem>
+<listitem><para>November 6th, 2004 [randy]: Moved libart_lgpl to Chapter 9 - 
+Graphics and Font Libraries, libcroco to Chapter 8 - General Libraries and 
+GTK-Doc to Chapter 10 - General Utilities.</para></listitem>
 
 <listitem><para>November 5th, 2004 [larry]: Corrected link errors in